# apa6 class
# Matthew Bertucci 2023/08/09 for v2.35

#include:etoolbox
#include:fontenc
# loads T1 option of fontenc
#include:txfonts
#include:geometry
#include:graphicx
#include:gettitlestring
#include:booktabs
#include:threeparttable
#include:caption
#include:fancyhdr
#include:bm
#include:flushend
#include:ftnright

#keyvals:\documentclass/apa6#c
man
jou
doc
babel
notimes
notxfonts
nosf
fignum
longtable
tt
helv
notab
nobf
nolmodern
nofontenc
noextraspace
donotrepeattitle
floatsintext
a4paper
apacite
natbib
biblatex
draftfirst
draftall
mask
10pt
11pt
12pt
#endkeyvals

#ifOption:man
#include:endfloat
#endif

#ifOption:babel
#include:babel
#endif

#ifOption:longtable
#include:array
#include:longtable
#endif

#ifOption:apacite
#include:apacite
#endif

#ifOption:natbib
#include:apacite
# loads natbibapa option of apacite
#include:natbib
\citeauthorp{keylist}#c
\citeauthorp[postfix]{keylist}#c
\citeauthorp[prefix][postfix]{keylist}#c
\citeauthort{keylist}#c
\citeauthort[postfix]{keylist}#c
\citeauthort[prefix][postfix]{keylist}#c
\Citeauthorp{keylist}#c
\Citeauthorp[postfix]{keylist}#c
\Citeauthorp[prefix][postfix]{keylist}#c
\Citeauthort{keylist}#c
\Citeauthort[postfix]{keylist}#c
\Citeauthort[prefix][postfix]{keylist}#c
\Citefullauthor{keylist}#*c
\Citefullauthor[postfix]{keylist}#*c
\Citefullauthor[prefix][postfix]{keylist}#*c
\citefullauthort{keylist}#*c
\citefullauthort[postfix]{keylist}#*c
\citefullauthort[prefix][postfix]{keylist}#*c
\citefullauthorp{keylist}#*c
\citefullauthorp[postfix]{keylist}#*c
\citefullauthorp[prefix][postfix]{keylist}#*c
\Citefullauthort{keylist}#*c
\Citefullauthort[postfix]{keylist}#*c
\Citefullauthort[prefix][postfix]{keylist}#*c
\Citefullauthorp{keylist}#*c
\Citefullauthorp[postfix]{keylist}#*c
\Citefullauthorp[prefix][postfix]{keylist}#*c
\maskcitep{keylist}#c
\maskcitep[postfix]{keylist}#c
\maskcitep[prefix][postfix]{keylist}#c
\maskcitet{keylist}#c
\maskcitet[postfix]{keylist}#c
\maskcitet[prefix][postfix]{keylist}#c
\maskciteyearpar{keylist}#c
\maskciteyearpar[postfix]{keylist}#c
\maskciteyearpar[prefix][postfix]{keylist}#c
\maskcitealp{keylist}#c
\maskcitealp[postfix]{keylist}#c
\maskcitealp[prefix][postfix]{keylist}#c
\maskcitealt{keylist}#c
\maskcitealt[postfix]{keylist}#c
\maskcitealt[prefix][postfix]{keylist}#c
\maskcitenum{keylist}#c
\maskcitenum[postfix]{keylist}#c
\maskcitenum[prefix][postfix]{keylist}#c
\maskcitetalias{keylist}#c
\maskcitetalias[postfix]{keylist}#c
\maskcitetalias[prefix][postfix]{keylist}#c
\maskcitepalias{keylist}#c
\maskcitepalias[postfix]{keylist}#c
\maskcitepalias[prefix][postfix]{keylist}#c
\maskCitep{keylist}#c
\maskCitep[postfix]{keylist}#c
\maskCitep[prefix][postfix]{keylist}#c
\maskCitet{keylist}#c
\maskCitet[postfix]{keylist}#c
\maskCitet[prefix][postfix]{keylist}#c
\maskCiteauthor{keylist}#c
\maskCiteauthor[postfix]{keylist}#c
\maskCiteauthor[prefix][postfix]{keylist}#c
\maskCitealp{keylist}#c
\maskCitealp[postfix]{keylist}#c
\maskCitealp[prefix][postfix]{keylist}#c
\maskCitealt{keylist}#c
\maskCitealt[postfix]{keylist}#c
\maskCitealt[prefix][postfix]{keylist}#c
\maskciteauthorp{keylist}#c
\maskciteauthorp[postfix]{keylist}#c
\maskciteauthorp[prefix][postfix]{keylist}#c
\maskciteauthort{keylist}#c
\maskciteauthort[postfix]{keylist}#c
\maskciteauthort[prefix][postfix]{keylist}#c
\maskCiteauthorp{keylist}#c
\maskCiteauthorp[postfix]{keylist}#c
\maskCiteauthorp[prefix][postfix]{keylist}#c
\maskCiteauthort{keylist}#c
\maskCiteauthort[postfix]{keylist}#c
\maskCiteauthort[prefix][postfix]{keylist}#c
\maskcitefullauthor{keylist}#c
\maskcitefullauthor[postfix]{keylist}#c
\maskcitefullauthor[prefix][postfix]{keylist}#c
\maskCitefullauthor{keylist}#c
\maskCitefullauthor[postfix]{keylist}#c
\maskCitefullauthor[prefix][postfix]{keylist}#c
#endif

#ifOption:biblatex
#include:biblatex
# loads style=apa6 option of biblatex
#keyvals:\usepackage/biblatex#c,\ExecuteBibliographyOptions#c
# from apa6.bbx
apamaxprtauth=%<number%>
#endkeyvals
# from apa6.bbx
\apanum{arg}#S
\apashortdash#S
\begrelateddelimreviewof#S
\maxprtauth#S
\mkdaterangeapalong{arg}
\mkdaterangeapalongextra{arg}#S
# from apa6.cbx
\citeresetapa#S
\fullcitebib[prenote][postnote]{bibid}#*C
\fullcitebib[postnote]{bibid}#*C
\fullcitebib{bibid}#*C
\nptextcite[prenote][postnote]{bibid}#C
\nptextcite[postnote]{bibid}#C
\nptextcite{bibid}#C
\nptextcites{bibid}{bibid}#*C
\nptextcites(post){bibid}{bibid}#*C
\nptextcites(pre)(post){bibid}{bibid}#*C
\nptextcites(pre)(post)[post]{bibid}[post]{bibid}#*C
\nptextcites[post]{bibid}[post]{bibid}#*C
\nptextcites[pre][post]{bibid}[pre][post]{bibid}#*C
\nptextcites(pre)(post)[pre][post]{bibid}[pre][post]{bibid}#*C
#endif

#ifOption:draftfirst
#include:draftwatermark
#endif

#ifOption:draftall
#include:draftwatermark
#endif

#ifOption:mask
#include:substr
\maskparencite[prenote][postnote]{bibid}#C
\maskparencite[postnote]{bibid}#C
\maskparencite{bibid}#C
\maskParencite[prenote][postnote]{bibid}#C
\maskParencite[postnote]{bibid}#C
\maskParencite{bibid}#C
\maskcite[prenote][postnote]{bibid}#C
\maskcite[postnote]{bibid}#C
\maskcite{bibid}#C
\maskCite[prenote][postnote]{bibid}#C
\maskCite[postnote]{bibid}#C
\maskCite{bibid}#C
\masktextcite[prenote][postnote]{bibid}#C
\masktextcite[postnote]{bibid}#C
\masktextcite{bibid}#C
\maskTextcite[prenote][postnote]{bibid}#C
\maskTextcite[postnote]{bibid}#C
\maskTextcite{bibid}#C
\maskciteauthor[prenote][postnote]{bibid}#C
\maskciteauthor[postnote]{bibid}#C
\maskciteauthor{bibid}#C
\maskciteyearpar[prenote][postnote]{bibid}#C
\maskciteyearpar[postnote]{bibid}#C
\maskciteyearpar{bibid}#C
\maskciteyear[prenote][postnote]{bibid}#C
\maskciteyear[postnote]{bibid}#C
\maskciteyear{bibid}#C
#endif

\begin{APAenumerate}
\end{APAenumerate}
\begin{APAitemize}
\end{APAitemize}
\begin{seriate}
\end{seriate}

\abstract{text}
\affiliation{affiliation%text}
\apaSixvector{symbol%%formula}
\authornote{text}
\ccoppy{copyright%text}
\copnum{copyright info%text}
\fitbitmap[height]{imagefile}#g
\fitbitmap{imagefile}#g
\fitfigure[height]{imagefile}#g
\fitfigure{imagefile}#g
\fiveaffiliations{affil1%text}{affil2%text}{affil3%text}{affil4%text}{affil5%text}
\fiveauthors{name1}{name2}{name3}{name4}{name5}
\fouraffiliations{affil1%text}{affil2%text}{affil3%text}{affil4%text}
\fourauthors{name1}{name2}{name3}{name4}
\journal{journal%text}
\keywords{keywords%text}
\leftheader{%<author last name(s)%>}
\note{text}
\shorttitle{text}
\sixaffiliations{affil1%text}{affil2%text}{affil3%text}{affil4%text}{affil5%text}{affil6%text}
\sixauthors{name1}{name2}{name3}{name4}{name5}{name6}
\tabfnm{mark}
\tabfnt{mark}{text}
\threeaffiliations{affil1%text}{affil2%text}{affil3%text}
\threeauthors{name1}{name2}{name3}
\twoaffiliations{affil1%text}{affil2%text}
\twoauthors{name1}{name2}
\volume{volume}

# not documented
\acksname#S
\addperi#S
\apaSixappfig#S
\apaSixapptab#S
\apaSixmatrix{symbol%formula}#S
\apaSixsmash#S
\footmark{arg}#S
\helvetica#S
\ifapamode{arg1}{arg2}{arg3}#S
\ifapamodedoc{arg1}{arg2}#S
\ifapamodejou{arg1}{arg2}#S
\ifapamodeman{arg1}{arg2}#S
\keywordname#S
\mspart#S
\notesname#S
\onetwoaffiliations{arg1}{arg2}{arg3}#S
\onetwoauthors{arg1}{arg2}{arg3}#S
\processfigures#S
\processtables#S
\rheadname#S
\rightheader{text}#S
\stiny#S
\thickline#S
\twooneaffiliations{arg1}{arg2}{arg3}#S
\twooneauthors{arg1}{arg2}{arg3}#S
\typesectitle{arg}#S
\uprightlowercasegreek#S

# from T1 option of fontenc
\DH#n
\dh#n
\dj#n
\DJ#n
\guillemetleft#n
\guillemetright#n
\guillemotleft#*n
\guillemotright#*n
\guilsinglleft#n
\guilsinglright#n
\Hwithstroke#n
\hwithstroke#n
\k{arg}#n
\NG#n
\ng#n
\quotedblbase#n
\quotesinglbase#n
\textogonekcentered{arg}#n
\textquotedbl#n
\th#n
\TH#n