# bithesis class
# Matthew Bertucci 2024/06/02 for v3.7.8

#include:l3keys2e
#include:class-ctexbook
#include:geometry
#include:xcolor
# loads table option of xcolor
#include:colortbl
#include:xeCJK
#include:titletoc
#include:setspace
#include:graphicx
#include:fancyhdr
#include:pdfpages
#include:setspace
#include:booktabs
#include:multirow
#include:tikz
#include:etoolbox
#include:hyperref
#include:caption
#include:array
#include:amsmath
#include:amssymb
#include:pifont
#include:amsthm
#include:unicode-math
#include:pdfpages
#include:listings
#include:enumitem
#include:fmtcount
#include:environ

#keyvals:\documentclass/bithesis#c
type=#bachelor,bachelor_translation,bachelor_english,master,doctor
blindPeerReview#true,false
quirks#true,false
twoside#true,false
#endkeyvals

#ifOption:type=bachelor_english
#include:datetime2
#include:indentfirst
#endif

\BITSetup{键值对%keyvals}

#keyvals:\BITSetup#c
cover={%<键值列表%>}
cover/date=%<任意字符串%>
cover/headerImage=%<图片路径%>
cover/xiheiFont=%<字体路径%>
cover/dilimiter=%<任意字符串%>
cover/autoWidth#true,false
cover/autoWidthPadding=##L
cover/labelMaxWidth=##L
cover/valueMaxWidth=##L
cover/labelAlign=#c,l,r
cover/valueAlign=#c,l,r
cover/underlineThickness=##L
cover/underlineOffset=##L
cover/hideCoverInPeerReview#true,false
cover/showSpecialTypeBox#true,false
info={%<键值列表%>}
info/title=%<字符串%>
info/titleEn=%<字符串%>
info/verticalTitle=%<字符串%>
info/school=%<字符串%>
info/schoolEn=%<字符串%>
info/major=%<字符串%>
info/majorEn=%<字符串%>
info/author=%<字符串%>
info/authorEn=%<字符串%>
info/studentId=%<字符串%>
info/supervisor=%<字符串%>
info/supervisorEn=%<字符串%>
info/externalSupervisor=%<字符串%>
info/class=%<字符串%>
info/keywords={%<字符串；以全角分号分割%>}
info/keywordsEn={%<字符串; 以分号分割%>}
info/translationTitle=%<字符串%>
info/translationOriginTitleEn=%<字符串%>
info/classification=%<字符串%>
info/UDC=%<字符串%>
info/chairman=%<字符串%>
info/chairmanEn=%<字符串%>
info/degree=%<字符串%>
info/degreeEn=%<字符串%>
info/institute=%<字符串%>
info/instituteEn=%<字符串%>
info/defenseDate=%<字符串%>
info/defenseDateEn=%<字符串%>
info/classifiedLevel=%<字符串%>
info/crossResearch#true,false
info/internationalStudentUGP#true,false
info/teacher=%<字符串%>
info/semester=%<字符串%>
style={%<键值列表%>}
style/head=%<字符串%>
style/headline=%<字符串%>
style/bibliographyIndent#true,false
style/pageVerticalAlign=#top,scattered
style/mathFont=#asana,bonum,cm,concrete,dejavu,erewhon,euler,fira,garamond,gfsneohellenic,kp,libertinus,lm,newcm,pagella,schola,stix,stix2,termes,xcharter,xits,none
style/windowsSimSunFakeBold#true,false
style/unicodeMathOptions=%<任意选项%>
style/hyphen#true,false
style/mathAboveDisplaySkip=##L
style/mathBelowDisplaySkip=##L
style/betterTimesNewRoman#true,false
TOC={%<键值列表%>}
TOC/abstract#true,false
TOC/abstractEn#true,false
TOC/symbols#true,false
appendices={%<键值列表%>}
appendices/chapterLeveltrue,false
appendices/title=%<字符串%>
appendices/TOCTitle=%<字符串%>
publications={%<键值列表%>}
publications/sorting#true,false
publications/omit#true,false
publications/maxbibnames=%<正整数%>
publications/minbibnames=%<正整数%>
misc={%<键值列表%>}
misc/arialFont=%<字符串%>
misc/tabularFontSize=%<其他字号%>
misc/autoref={%<键值列表%>}
misc/hideLinks#true,false
misc/floatSeparation=%<实数%>
misc/algorithmSeparation=%<实数%>
misc/tabularRowSeparation=%<实数%>
const={%<键值列表%>}
const/autoref={%<键值列表%>}
const/style/substituteSymbol=%<字符串%>
const/info={%<键值列表%>}
#endkeyvals

\begin{abstractEn}
\end{abstractEn}
\begin{acknowledgements}
\end{acknowledgements}
\begin{algo}
\begin{algo}[留数定理%text]
\end{algo}
\begin{appendices}
\end{appendices}
\begin{axi}
\begin{axi}[留数定理%text]
\end{axi}
\begin{bibprint}
\end{bibprint}
\begin{case}
\begin{case}[留数定理%text]
\end{case}
\begin{conclusion}
\end{conclusion}
\begin{conj}
\begin{conj}[留数定理%text]
\end{conj}
\begin{cor}
\begin{cor}[留数定理%text]
\end{cor}
\begin{defn}
\begin{defn}[留数定理%text]
\end{defn}
\begin{exmp}
\begin{exmp}[留数定理%text]
\end{exmp}
\begin{lem}
\begin{lem}[留数定理%text]
\end{lem}
\begin{prop}
\begin{prop}[留数定理%text]
\end{prop}
\begin{publications}
\end{publications}
\begin{rem}
\begin{rem}[留数定理%text]
\end{rem}
\begin{resume}
\end{resume}
\begin{symbols}
\end{symbols}
\begin{them}
\begin{them}[留数定理%text]
\end{them}

\addpub{bibid}#C
\addpubs{bibid}#C
\Author
\Author[n]
\Author[n][覆盖普通模式下内容]
\Author[n][覆盖普通模式下内容][覆盖盲审模式下内容]
\AuthorEn
\AuthorEn[n]
\AuthorEn[n][覆盖普通模式下内容]
\AuthorEn[n][覆盖普通模式下内容][覆盖盲审模式下内容]
\MakeCover
\MakeOriginality
\MakePaperBack
\MakeTitle
\MakeTOC
\pubsection{text}
\SecretInfo{arg}
\SecretInfo{arg}[opt]

# not documented
\begin{blindPeerReview}#*
\end{blindPeerReview}#*
\arabicHeiti{arg}#*
\arialfamily#*
\BigStar#*
\circled[opt]{arg}#*
\circled{arg}#*
\dunderline[opt]{arg1}{arg2}#*
\dunderline{arg1}{arg2}#*
\thepub#S

codegreen#B
codegray#B
codepurple#B
backcolour#B
