# dtxdescribe package
# Matthew Bertucci 2024/01/09 for v1.08

#include:makeidx
#include:etoolbox
#include:calc
#include:xcolor
#include:caption
#include:newfloat
#include:fancyvrb
#include:xstring
#include:pict2e

\DescribeMacro{macro%cmd}
\DescribeMacro[category]{macro%cmd}
\DescribeEnv{envname}
\DescribeEnv[category]{envname}
\marg{text%plain}
\oarg{text%plain}
\parg{text%plain}
\meta{text%plain}
\url{URL}#U
\DescribeArgument{argument}
\DescribeArgument[category]{argument}
\DescribeBoolean{name}
\DescribeBoolean[category]{name}
\DescribeLength{length}
\DescribeLength[category]{length}
\DescribeCounter{counter}
\DescribeCounter[category]{counter}
\DescribeHook{hook}
\DescribeHook[category]{hook}
\DescribeSocket{socket}
\DescribeSocket[category]{socket}
\DescribePlug{plug}
\DescribePlug[category]{plug}
\DescribeKey{key%plain}
\DescribeKey[category]{key%plain}
\DescribePackage{package}
\DescribePackage[category]{package}
\DescribeClass{class}
\DescribeClass[category]{class}
\DescribeOption{option}
\DescribeOption[category]{option}
\DescribeFile{file}
\DescribeFile[category]{file}
\DescribeProgram{program}
\DescribeProgram[category]{program}
\DescribeCommand{OS-cmd}
\DescribeCommand[category]{OS-cmd}
\DescribeObject{object}
\DescribeObject[category]{object}
\DescribeOther{name}
\DescribeOther[category]{name}
\ItemDescribeMacro{macro%cmd}
\ItemDescribeMacro[category]{macro%cmd}
\ItemDescribeEnv{envname}
\ItemDescribeEnv[category]{envname}
\ItemDescribeArgument{argument}
\ItemDescribeArgument[category]{argument}
\ItemDescribeBoolean{name}
\ItemDescribeBoolean[category]{name}
\ItemDescribeLength{length}
\ItemDescribeLength[category]{length}
\ItemDescribeCounter{counter}
\ItemDescribeCounter[category]{counter}
\ItemDescribeHook{hook}
\ItemDescribeHook[category]{hook}
\ItemDescribeSocket{socket}
\ItemDescribeSocket[category]{socket}
\ItemDescribePlug{plug}
\ItemDescribePlug[category]{plug}
\ItemDescribeKey{key%plain}
\ItemDescribeKey[category]{key%plain}
\ItemDescribePackage{package}
\ItemDescribePackage[category]{package}
\ItemDescribeClass{class}
\ItemDescribeClass[category]{class}
\ItemDescribeOption{option}
\ItemDescribeOption[category]{option}
\ItemDescribeFile{file}
\ItemDescribeFile[category]{file}
\ItemDescribeProgram{program}
\ItemDescribeProgram[category]{program}
\ItemDescribeCommand{OS-cmd}
\ItemDescribeCommand[category]{OS-cmd}
\ItemDescribeObject{object}
\ItemDescribeObject[category]{object}
\ItemDescribeOther{name}
\ItemDescribeOther[category]{name}
\DescribeDefault{value}
\DescribeDefaultcolor#*
\shownesting{container name}{contents%text}
\shownesting[fraction]{container name}{contents%text}
\shownesting*{container name}{contents%text}
\shownesting*[fraction]{container name}{contents%text}
\margintag{text}
\margintagcolor#*
\watchout
\watchout[text]
\watchoutcolor#*
\begin{dtxexample}{caption/label%text}
\begin{dtxexample}[notes/crossrefs%text]{caption/label%text}
\end{dtxexample}
\dtxexamplecodename#*
\dtxexampleresultname#*

\begin{sourceverb}#V
\begin{sourceverb}[options%keyvals]#V
\end{sourceverb}
\begin{fsourceverb}#V
\begin{fsourceverb}[options%keyvals]#V
\end{fsourceverb}

#keyvals:\begin{sourceverb},\begin{fsourceverb}
commentchar=%<single char%>
gobble=%<integer%>
formatcom=%<commands%>
formatcom*=%<commands%>
fontfamily=%<family%>
fontsize=%<size macro%>
fontshape=%<shape%>
fontseries=%<series%>
frame=#none,leftline,topline,bottomline,lines,single
framerule=##L
framesep=##L
rulecolor=%<color cmd%>
fillcolor=%<color cmd%>
label=%<label text%>
labelposition=#none,topline,bottomline,all
numbers=#none,left,right
numbersep=##L
firstnumber=%<auto|last|<integer>%>
stepnumber=%<integer%>
numberblanklines#true,false
firstline=%<integer%>
lastline=%<integer%>
showspaces#true,false
showtabs#true,false
obeytabs#true,false
tabsize=%<integer%>
baselinestretch=%<factor%>
commandchars=%<three chars%>
xleftmargin=##L
xrightmargin=##L
resetmargins#true,false
hfuzz=##L
samepage#true,false
codes={%<code%>}
codes*={%<code%>}
defineactive={%<code%>}
defineactive*={%<code%>}
reflabel=##l
fileext=%<extension%>
vspace=##L
listparameters={%<code%>}
#endkeyvals

\begin{sourcedisplay}
\end{sourcedisplay}
\fquad
\fqquad
\fqqquad
\begin{UIdisplay}
\end{UIdisplay}
\userentry{text}
\userentryname#*
\begin{docsidebar}
\begin{docsidebar}[title%text]
\end{docsidebar}
\pkg{package}
\env{envname}
\ctr{counter}
\bool{bool}
\optn{option}
\cmd{cmd}
\cs{csname}
\TOC
\LOF
\LOT
\progcode{code}
\prog{program}
\filenm{file}
\UI{text%plain}
\cmds{text%plain}
\ODT
\SVG
\PNG
\GIF
\JPG
\EPS
\PDF
\DVI
\UTF
\URL
\element{element}
\attribute{attribute}
\attrib{attribute}
\HTML
\HTMLfive
\CSS
\CSSthree
\EPUB
\TikZ
\MathML
\MathJax
\CTAN
\TDS
\brand{brand}
\acro{acronym}
\supregistered
\dviTeX
\dviLaTeX
\pdfTeX
\pdfLaTeX
\LuaTeX
\LuaLaTeX
\XeTeX
\XeLaTeX
\AmS
\LyX
\BibTeX
\MakeIndex
\ConTeXt
\MiKTeX
\thinskip
\endash
\emdash
\thinbrspace
\thinthinbrspace
\Dash
\dash
\Slash

myurlcolor#B
mylinkcolor#B
\hyperpage{arg}#*
\warningsign#*
\actualchar#*
\quotechar#*
\levelchar#*
\encapchar#*
\verbatimchar#*
\PrintEnvName{envname}#*
\usage{text%plain}#*
\begin{dtxdexample}#*
\end{dtxdexample}#*
\begin{dtxexamplefloat}#S
\end{dtxexamplefloat}#S
\begin{noindmacro}{macro%cmd}#*
\end{noindmacro}#*
\begin{noindenvironment}{envname}#*
\end{noindenvironment}#*
\removebs{arg}#*
\MacroFont#*
\IndexMin#*
\DTXDbreak#*
