# fourier-otf package
# Matthew Bertucci 2023/07/21 for v0.63

#include:iftex
#include:fourier-orns
#include:unicode-math
#include:realscripts

#keyvals:\usepackage/fourier-otf#c
no-text
tight
loose
fulloldstyle
math-style=#ISO,TeX,french,upright
bold-style=#ISO,TeX,upright
nabla=#italic,upright
partial=#italic,upright
CharacterVariant={%<variants%>}
StylisticSet=#3,4,5,6,7
Style=#upint,leqslant,smaller,subsetneq,parallelslant,fulloldstyle,smalldelim
Scale=%<factor%>
#endkeyvals

# math or text mode commands
\circledR
\circledS

# math mode commands
\backepsilon#m
\Bbbbackslash#*m
\beware#m
\bigstar#m
\blacklozenge#m
\blacksquare#m
\blacktriangle#m
\blacktriangledown#m
\boom#m
\Box#m
\centerdot#m
\circlearrowleft#m
\circlearrowright#m
\circledR#m
\circledS#m
\cuberoot{arg}#m
\cuberootsign{arg}#*m
\dashleftarrow#m
\dashrightarrow#m
\diagdown#m
\diagup#m
\Diamond#m
\digamma#m
\doteqdot#m
\doublebarwedge#m
\doublecap#m
\doublecap#m
\doublecup#m
\doublecup#m
\downdasharrow#m
\downrightcurvedarrow#m
\eqqslantgtr#m
\eqqslantless#m
\Finv#m
\forbidden#m
\fourthroot{arg}#m
\fourthrootsign{arg}#*m
\Game#m
\geqqslant#m
\gggtr#m
\gggtr#m
\gtreqqslantless#m
\gtreqslantless#m
\gvertneqq#m
\harrowextender#*m
\intbar#m
\intextender#*m
\Join#m
\leadsto#m
\leadsto#m
\leftcurvedarrow#m
\leftdasharrow#m
\leftdowncurvedarrow#m
\leqqslant#m
\lesseqqslantgtr#m
\lesseqslantgtr#m
\lgblkcircle#m
\lgblksquare#m
\lgwhtsquare#m
\lhd#m
\llless#m
\llless#m
\lozenge#m
\lvertneqq#m
\mbfdotlessi#*m
\mbfdotlessj#*m
\mbfell#*m
\mbfhbar#*m
\mbfimath#*m
\mbfitell#*m
\mbfithbar#*m
\mbfitvarpartial#*m
\mbfitvarvarpi#*m
\mbfitvarvarrho#*m
\mbfitwp#*m
\mbfjmath#*m
\mbftriangleleft#*m
\mbftriangleright#*m
\mbfvarpartial#*m
\mbfvarvarpi#*m
\mbfvarvarrho#*m
\mbfvarzero#*m
\mbfvec#*m
\mbfwp#*m
\mdblkcircle#m
\mdblkdiamond#m
\mdblklozenge#m
\mdblksquare#m
\mdlgblkdiamond#m
\mdlgblklozenge#m
\mdlgwhtdiamond#m
\mdsmblkcircle#m
\mdsmblksquare#m
\mdsmwhtcircle#m
\mdsmwhtsquare#m
\mdwhtcircle#m
\mdwhtdiamond#m
\mdwhtlozenge#m
\mdwhtsquare#m
\mithbar#*m
\mitvarpartial#*m
\mitvarvarpi#*m
\mitvarvarrho#*m
\mscre#*m
\mscrg#*m
\mscro#*m
\mupvarpartial#*m
\mupvarvarpi#*m
\mupvarzero#*m
\ngeqq#m
\ngeqqslant#m
\ngeqslant#m
\nleqq#m
\nleqqslant#m
\nleqslant#m
\nparallelslant#m
\npreceq#m
\npreceq#m
\nshortmid#m
\nshortparallel#m
\nshortparallelslant#m
\nsubseteqq#m
\nsucceq#m
\nsucceq#m
\nsupseteqq#m
\ntriangleleft#m
\ntriangleright#m
\overrightarc{arg}#m
\parallelslant#m
\pitchfork#m
\precapprox#m
\preceqq#m
\precnapprox#m
\precneq#m
\precneqq#m
\restriction#m
\rhd#m
\rightcurvedarrow#m
\rightdasharrow#m
\rightdowncurvedarrow#m
\shortmid#m
\shortparallel#m
\shortparallelslant#m
\smallblacktriangleleft#m
\smallblacktriangleright#m
\smallfrown#m
\smallsmile#m
\smalltriangleleft#m
\smalltriangleright#m
\smblkdiamond#m
\smblklozenge#m
\smwhtlozenge#m
\square#m
\subseteqq#m
\subsetneqq#m
\succapprox#m
\succeqq#m
\succnapprox#m
\succneq#m
\succneqq#m
\supseteqq#m
\supsetneqq#m
\thething#m
\thickapprox#m
\thicksim#m
\triangledown#m
\unlhd#m
\unrhd#m
\upand#m
\upbackepsilon#m
\updasharrow#m
\updigamma#m
\uprightcurvearrow#m
\varemptyset#m
\varpropto#m
\varsubsetneq#m
\varsubsetneqq#m
\varsupsetneq#m
\varsupsetneqq#m
\varsymbfscrE#*m
\varsymbfscrQ#*m
\varsymbfscrT#*m
\varsymscrE#*m
\varsymscrQ#*m
\varsymscrT#*m
\vartriangle#m
\Vvert#m
\vysmblksquare#m
\vysmwhtsquare#m
\wedgebar#m
\widearc{arg}#m
\xswordsdown#m
\xswordsup#m
\Zbar#m

\FOTtoksT#S
\FOTtoksM#S
\fileversion#S
\filedate#S
