# kpfonts-otf package
# Matthew Bertucci 2024/05/02 for v0.63

#include:iftex
#include:unicode-math
#include:realscripts

#keyvals:\usepackage/kpfonts-otf#c
light
nomath
notext
sans
nosf
nott
onlyrm
fulloldstylenums
fulloldstyle
lighttext
sftext
fakedscripts
oldstylenums
oldstyle
veryoldstyle
largesmallcaps
altfligs
germandbls
eurosym
harfbuzz
lightmath
sfmath
bbsans
mathcal
narrowiints
frenchstyle
partialup
oldstylenumsmath
fancyReIm
noDcommand
tight
symbols
#endkeyvals

# text mode commands
\circledR
\circledS
\ebseries
\euro
\kpeuro
\kpeuro[amount]
\KpLight#*
\KpRoman#*
\longs
\lscshape
\ltseries
\pscshape
\ringbelow{arg}
\sbseries
\shorts
\texteb{text}
\textlsc{text}
\textlt{text}
\textpsc{text}
\textsb{text}

# math mode commands
\backepsilon#m
\barV#m
\bigcapplus#m
\bigsqcapplus#m
\bigsqcupplus#m
\bigsqcupplus#m
\bigstar#m
\blacklozenge#m
\blacksquare#m
\blacktriangle#m
\blacktriangledown#m
\Box#m
\boxast#m
\boxbar#m
\boxbslash#m
\boxdiag#m
\boxdotleft#m
\boxdotLeft#m
\boxdotright#m
\boxdotRight#m
\boxleft#m
\boxLeft#m
\boxright#m
\boxRight#m
\candra{arg}#m
\capplus#m
\centerdot#m
\circlearrowleft#m
\circlearrowright#m
\circledbar#m
\circledotleft#m
\circledotright#m
\circledvee#m
\circledwedge#m
\circleleft#m
\circleright#m
\colonapprox#m
\Colonapprox#m
\colondash#m
\Colondash#m
\coloneq#m
\Coloneq#m
\colonsim#m
\Colonsim#m
\D{arg}#m
\dashColon#m
\dashleftarrow#m
\dashrightarrow#m
\diagdown#m
\diagup#m
\Diamond#m
\diamondcdot#m
\Diamonddotleft#m
\DiamonddotLeft#m
\Diamonddotright#m
\DiamonddotRight#m
\Diamondleft#m
\DiamondLeft#m
\Diamondright#m
\DiamondRight#m
\Digamma#m
\doteqdot#m
\dotlessi#m
\dotlessj#m
\doublebarwedge#m
\doublecap#m
\doublecup#m
\downdasharrow#m
\dualmap#m
\eqqColon#m
\fint#m
\Finv#m
\Game#m
\geqqslant#m
\gggtr#m
\gtreqqslantless#m
\gtreqslantless#m
\gvertneqq#m
\harrowextender#*m
\IM#m
\intextender#*m
\Join#m
\lambdabar#m
\lambdaslash#m
\lbag#m
\leadsto#m
\leadsto#m
\leadstoext#m
\leftdasharrow#m
\leftrightdasharrow#m
\leftwavearrow#m
\leqqslant#m
\lesseqqslantgtr#m
\lesseqslantgtr#m
\lgblkcircle#m
\lgblksquare#m
\lgwhtsquare#m
\lhd#m
\llless#m
\longleadsto#m
\Longmmapsfrom#m
\longmmapsfrom#m
\Longmmapsto#m
\longmmapsto#m
\lozenge#m
\lvertneqq#m
\mbfdotlessi#*m
\mbfdotlessj#*m
\mbfell#*m
\mbfimath#*m
\mbfjmath#*m
\mbfvec#*m
\mbfwp#*m
\mbhbar#*m
\mbhslash#*m
\mdblkcircle#m
\mdblkdiamond#m
\mdblklozenge#m
\mdblksquare#m
\mdlgblkdiamond#m
\mdlgblklozenge#m
\mdlgwhtdiamond#m
\mdsmblkcircle#m
\mdsmblksquare#m
\mdsmwhtcircle#m
\mdsmwhtsquare#m
\mdwhtcircle#m
\mdwhtdiamond#m
\mdwhtlozenge#m
\mdwhtsquare#m
\mithbar#*m
\mitsansell#*m
\mitsanspartial#*m
\mitsanswp#*m
\Mmapsfrom#m
\mmapsfrom#m
\Mmapsto#m
\mmapsto#m
\msanspartial#*m
\multimapbothvert#m
\multimapdot#m
\multimapdotboth#m
\multimapdotbothAvert#m
\multimapdotbothBvert#m
\multimapdotbothvert#m
\multimapdotinv#m
\ngeqq#m
\ngeqslant#m
\nleqq#m
\nleqslant#m
\nparallelbackslant#m
\nparallelslant#m
\npreceq#m
\nshortmid#m
\nshortparallel#m
\nshortparallelslant#m
\nsubseteqq#m
\nsucceq#m
\nsupseteqq#m
\ntriangleleft#m
\ntriangleright#m
\obslash#m
\ogreaterthan#m
\oiiintclockwise#m
\oiiintctrclockwise#m
\oiintclockwise#m
\oiintctrclockwise#m
\ointclockwise#m
\olessthan#m
\openJoin#m
\opentimes#m
\overrightarc{arg}#m
\parallelbackslant#m
\parallelslant#m
\pitchfork#m
\precapprox#m
\preceqq#m
\precnapprox#m
\precneq#m
\precneqq#m
\rbag#m
\RE#m
\restriction#m
\rhd#m
\rightdasharrow#m
\rightwavearrow#m
\shortmid#m
\shortparallel#m
\shortparallelslant#m
\smallblacktriangleleft#m
\smallfrown#m
\smallsmile#m
\smalltriangleleft#m
\smalltriangleright#m
\smblkdiamond#m
\smblklozenge#m
\smwhtlozenge#m
\sqcapplus#m
\sqcupplus#m
\sqiiint#m
\sqiint#m
\sqint#m
\square#m
\strictfi#m
\strictif#m
\strictiff#m
\subseteqq#m
\subsetneqq#m
\succapprox#m
\succeqq#m
\succnapprox#m
\succneq#m
\succneqq#m
\supseteqq#m
\supsetneqq#m
\thickapprox#m
\thicksim#m
\tieconcat#m
\triangledown#m
\twonotes#m
\unlhd#m
\unrhd#m
\upand#m
\upbackepsilon#*m
\updasharrow#m
\upDigamma#*m
\varemptyset#m
\varidotsint#m
\variiiint#m
\variiint#m
\variint#m
\varint#m
\varoiiintclockwise#m
\varoiiintctrclockwise#m
\varoiintclockwise#m
\varoiintctrclockwise#m
\varointctrclockwise#m
\varpropto#m
\varsubsetneq#m
\varsubsetneqq#m
\varsupsetneq#m
\varsupsetneqq#m
\vartriangle#m
\Vbar#m
\VvDash#m
\Vvert#m
\vysmblksquare#m
\vysmwhtsquare#m
\wedgebar#m
\widearc{arg}#m
\widearcarrow{arg}#m
\widearcarrow{arg}#m
\Wr#m
\Zbar#m

\KpMtoks#S
\fileversion#S
\filedate#S
