# lete-sans-math package
# Matthew Bertucci 2024/07/18 for v0.41

#include:iftex
#include:unicode-math

#keyvals:\usepackage/lete-sans-math#c
tight
loose
fulloldstyle
math-style=#ISO,TeX,french,upright
bold-style=#ISO,TeX,upright
nabla=#upright,italic
partial=#upright,italic
CharacterVariant={%<variants%>}
StylisticSet=%<number%>
Style=%<style%>
Scale=%<factor%>
#endkeyvals

# extra symbols defined in lete-sans-math.sty
\BbbDelta#m
\BbbLambda#m
\BbbOmega#m
\BbbPhi#m
\BbbPsi#m
\BbbSigma#m
\BbbTheta#m
\BbbXi#m
\blacklozenge#m
\blacksquare#m
\Box#m
\centerdot#m
\circlearrowleft#m
\circlearrowright#m
\circledR#m
\circledS#m
\dashleftarrow#m
\dashrightarrow#m
\Diamond#m
\doteqdot#m
\doublecap#m
\doublecup#m
\gggtr#m
\gtreqqslantless#m
\gtreqslantless#m
\gvertneqq#m
\leadsto#m
\lesseqqslantgtr#m
\lesseqslantgtr#m
\lhd#m
\llless#m
\lozenge#m
\lvertneqq#m
\mbfdotlessi#m
\mbfdotlessj#m
\mbfimath#m
\mbfjmath#m
\mithbar#m
\mupvarg#m
\mbfvarg#m
\mitvarg#m
\mbfitvarg#m
\ngeqq#m
\ngeqqslant#m
\ngeqslant#m
\nleqq#m
\nleqqslant#m
\nleqslant#m
\nparallelslant#m
\npreceq#m
\nshortmid#m
\nshortparallel#m
\nshortparallelslant#m
\nsubseteqq#m
\nsucceq#m
\nsupseteqq#m
\ntriangleleft#m
\ntriangleright#m
\parallelslant #m
\restriction#m
\rhd#m
\shortmid#m
\shortparallel#m
\shortparallelslant#m
\smallfrown#m
\smallsmile#m
\square#m
\thickapprox#m
\thicksim#m
\unlhd#m
\unrhd#m
\varemptyset#m
\varpropto#m
\varsubsetneq#m
\varsubsetneqq#m
\varsupsetneq#m
\varsupsetneqq#m

# symbols provided besides default (see unicode-math.cwl)
\acwcirclearrow#m
\acwgapcirclearrow#m
\acwleftarcarrow#m
\acwoverarcarrow#m
\acwunderarcarrow#m
\angdnr#m
\angles#m
\angleubar#m
\annuity{arg}#m
\approxeqq#m
\asteq#m
\astrosun#m
\backepsilon#m
\bagmember#m
\barcap#m
\barcup#m
\bardownharpoonleft#m
\bardownharpoonright#m
\barleftarrow#m
\barleftarrowrightarrowbar#m
\barleftharpoondown#m
\barleftharpoonup#m
\barovernorthwestarrow#m
\barrightarrowdiamond#m
\barrightharpoondown#m
\barrightharpoonup#m
\baruparrow#m
\barupharpoonleft#m
\barupharpoonright#m
\Barv#m
\barV#m
\bbrktbrk#m
\benzenr#m
\biginterleave#m
\bigslopedvee#m
\bigslopedwedge#m
\bigstar#m
\bigtalloblong#m
\bigtriangleleft#m
\bigwhitestar#m
\blackcircledownarrow#m
\blackcircleulquadwhite#m
\blackdiamonddownarrow#m
\blackhourglass#m
\blackinwhitediamond#m
\blackinwhitesquare#m
\blacklefthalfcircle#m
\blackpointerleft#m
\blackpointerright#m
\blackrighthalfcircle#m
\blacktriangle#m
\blacktriangledown#m
\blkhorzoval#m
\blkvertoval#m
\bNot#m
\botsemicircle#m
\boxast#m
\boxbar#m
\boxbox#m
\boxbslash#m
\boxcircle#m
\boxdiag#m
\boxonbox#m
\bsimilarleftarrow#m
\bsimilarrightarrow#m
\bsolhsub#m
\btimes#m
\bullseye#m
\bumpeqq#m
\candra{arg}#m
\capbarcup#m
\capdot#m
\capovercup#m
\capwedge#m
\caretinsert#m
\ccwundercurvearrow#m
\cirbot#m
\circlebottomhalfblack#m
\circledbullet#m
\circledownarrow#m
\circledparallel#m
\circledvert#m
\circledwhitebullet#m
\circlehbar#m
\circlelefthalfblack#m
\circlellquad#m
\circlelrquad#m
\circleonleftarrow#m
\circleonrightarrow#m
\circlerighthalfblack#m
\circletophalfblack#m
\circleulquad#m
\circleurquad#m
\circleurquadblack#m
\circlevertfill#m
\cirE#m
\cirmid#m
\cirscir#m
\closedvarcap#m
\closedvarcup#m
\closedvarcupsmashprod#m
\closure#m
\Coloneq#m
\commaminus#m
\congdot#m
\conjquant#m
\csub#m
\csube#m
\csup#m
\csupe#m
\cuberoot{arg}#m
\cuberootsign{arg}#*m
\cupbarcap#m
\cupovercap#m
\cupvee#m
\curvearrowleftplus#m
\curvearrowrightminus#m
\cwcirclearrow#m
\cwgapcirclearrow#m
\cwrightarcarrow#m
\cwundercurvearrow#m
\danger#m
\dashleftharpoondown#m
\dashrightharpoondown#m
\dashV#m
\Dashv#m
\DashV#m
\dbkarow#m
\dbkarrow#m
\ddotseq#m
\DDownarrow#m
\Ddownarrow#m
\diamondbotblack#m
\diamondcdot#m
\diamondleftarrow#m
\diamondleftarrowbar#m
\diamondleftblack#m
\diamondrightblack#m
\diamondtopblack#m
\Digamma#m
\digamma#m
\disin#m
\disjquant#m
\dotequiv#m
\dotsim#m
\dottedcircle#m
\dottimes#m
\doublebarvee#m
\doublebarwedge#m
\doubleplus#m
\downarrowbar#m
\downarrowbarred#m
\downdasharrow#m
\downfishtail#m
\downharpoonleftbar#m
\downharpoonrightbar#m
\downharpoonsleftright#m
\downrightcurvedarrow#m
\downtriangleleftblack#m
\downtrianglerightblack#m
\downupharpoonsleftright#m
\downzigzagarrow#m
\draftingarrow#m
\drbkarow#m
\drbkarrow#m
\droang{arg}#m
\dsol#m
\dsub#m
\dualmap#m
\egsdot#m
\elsdot#m
\emptysetoarr#m
\emptysetoarrl#m
\emptysetobar#m
\emptysetocirc#m
\enleadertwodots#m
\eparsl#m
\eqdot#m
\eqeq#m
\eqeqeq#m
\eqqgtr#m
\eqqless#m
\eqqplus#m
\eqqsim#m
\eqqslantgtr#m
\eqqslantless#m
\equalleftarrow#m
\equalrightarrow#m
\equivDD#m
\equivVert#m
\equivVvert#m
\eqvparsl#m
\errbarblackcircle#m
\errbarblackdiamond#m
\errbarblacksquare#m
\errbarcircle#m
\errbardiamond#m
\errbarsquare#m
\Exclam#m
\fbowtie#m
\fcmp#m
\fdiagovnearrow#m
\fdiagovrdiag#m
\fint#m
\Finv#m
\fisheye#m
\fltns#m
\forks#m
\forksnot#m
\forkv#m
\fourthroot{arg}#m
\fourthrootsign{arg}#*m
\fourvdots#m
\fullouterjoin#m
\Game#m
\geqqslant#m
\gescc#m
\gesdot#m
\gesdoto#m
\gesdotol#m
\gesles#m
\gggnest#m
\gla#m
\glE#m
\gleichstark#m
\glj#m
\gsime#m
\gsiml#m
\Gt#m
\gtcc#m
\gtcir#m
\gtlpar#m
\gtquest#m
\gtrarr#m
\hatapprox#m
\hexagon#m
\hexagonblack#m
\hknearrow#m
\hknwarrow#m
\hksearow#m
\hksearrow#m
\hkswarow#m
\hkswarrow#m
\hourglass#m
\house#m
\hyphenbullet#m
\iinfin#m
\intbar#m
\intBar#m
\interleave#m
\intextender#*m
\intprod#m
\intprodr#m
\inversebullet#m
\inversewhitecircle#m
\invwhitelowerhalfcircle#m
\invwhiteupperhalfcircle#m
\isindot#m
\isinE#m
\isinobar#m
\isins#m
\isinvb#m
\Join#m
\langledot#m
\laplac#m
\lat#m
\late#m
\lbag#m
\lblkbrbrak#m
\lbracklltick#m
\lbrackubar#m
\lbrackultick#m
\Lbrbrak#m
\lbrbrak#m
\lcurvyangle#m
\leftarrowapprox#m
\leftarrowbackapprox#m
\leftarrowbsimilar#m
\leftarrowless#m
\leftarrowonoplus#m
\leftarrowplus#m
\leftarrowshortrightarrow#m
\leftarrowsimilar#m
\leftarrowsubset#m
\leftarrowtriangle#m
\leftarrowx#m
\leftbkarrow#m
\leftcurvedarrow#m
\leftdasharrow#m
\leftdbkarrow#m
\leftdbltail#m
\leftdotarrow#m
\leftdowncurvedarrow#m
\leftfishtail#m
\leftharpoondownbar#m
\leftharpoonsupdown#m
\leftharpoonupbar#m
\leftharpoonupdash#m
\leftouterjoin#m
\leftrightarrowcircle#m
\leftrightarrowtriangle#m
\leftrightharpoondowndown#m
\leftrightharpoondownup#m
\leftrightharpoonsdown#m
\leftrightharpoonsup#m
\leftrightharpoonupdown#m
\leftrightharpoonupup#m
\lefttail#m
\leftwavearrow#m
\leqqslant#m
\lescc#m
\lesdot#m
\lesdoto#m
\lesdotor#m
\lesges#m
\lfbowtie#m
\lftimes#m
\lgblkcircle#m
\lgblksquare#m
\lgE#m
\lgwhtsquare#m
\llangle#m
\llarc#m
\llblacktriangle#m
\LLeftarrow#m
\lllnest#m
\llparenthesis#m
\lltriangle#m
\longdivision{arg}#m
\longdivisionsign{arg}#*m
\Lparengtr#m
\lparenless#m
\lrarc#m
\lrblacktriangle#m
\lrtriangle#m
\lrtriangleeq#m
\lsime#m
\lsimg#m
\lsqhook#m
\Lt#m
\ltcc#m
\ltcir#m
\ltlarr#m
\ltquest#m
\ltrivb#m
\lvboxline#m
\lvzigzag#m
\Lvzigzag#m
\mbfDigamma#m
\mbfdigamma#m
\mdblkcircle#m
\mdblkdiamond#m
\mdblklozenge#m
\mdblksquare#m
\mdlgblkdiamond#m
\mdlgblklozenge#m
\mdlgwhtdiamond#m
\mdsmblkcircle#m
\mdsmblksquare#m
\mdsmwhtcircle#m
\mdsmwhtsquare#m
\mdwhtcircle#m
\mdwhtdiamond#m
\mdwhtlozenge#m
\mdwhtsquare#m
\measangledltosw#m
\measangledrtose#m
\measangleldtosw#m
\measanglelutonw#m
\measanglerdtose#m
\measanglerutone#m
\measangleultonw#m
\measangleurtone#m
\measuredangleleft#m
\medblackstar#m
\medwhitestar#m
\midbarvee#m
\midbarwedge#m
\midcir#m
\minusdot#m
\minusfdots#m
\minusrdots#m
\mlcp#m
\modtwosum#m
\mscre#m
\mscro#m
\neovnwarrow#m
\neovsearrow#m
\neswarrow#m
\nHdownarrow#m
\nhpar#m
\nHuparrow#m
\nhVvert#m
\niobar#m
\nis#m
\nisd#m
\Not#m
\nvinfty#m
\nvleftarrow#m
\nVleftarrow#m
\nvLeftarrow#m
\nvleftarrowtail#m
\nVleftarrowtail#m
\nvleftrightarrow#m
\nVleftrightarrow#m
\nvLeftrightarrow#m
\nvrightarrow#m
\nVrightarrow#m
\nvRightarrow#m
\nvrightarrowtail#m
\nVrightarrowtail#m
\nvtwoheadleftarrow#m
\nVtwoheadleftarrow#m
\nvtwoheadleftarrowtail#m
\nVtwoheadleftarrowtail#m
\nvtwoheadrightarrow#m
\nVtwoheadrightarrow#m
\nvtwoheadrightarrowtail#m
\nVtwoheadrightarrowtail#m
\nwovnearrow#m
\nwsearrow#m
\obar#m
\obot#m
\obslash#m
\ocommatopright{arg}#m
\odiv#m
\odotslashdot#m
\ogreaterthan#m
\olcross#m
\olessthan#m
\operp#m
\opluslhrim#m
\oplusrhrim#m
\Otimes#m
\otimeshat#m
\otimeslhrim#m
\otimesrhrim#m
\oturnedcomma{arg}#m
\parallelogram#m
\parallelogramblack#m
\parsim#m
\partialmeetcontraction#m
\pentagon#m
\pentagonblack#m
\perps#m
\pitchfork#m
\plusdot#m
\pluseqq#m
\plushat#m
\plussim#m
\plussubtwo#m
\plustrif#m
\Prec#m
\precapprox#m
\preceqq#m
\precnapprox#m
\precneq#m
\precneqq#m
\profline#m
\profsurf#m
\PropertyLine#m
\prurel#m
\pullback#m
\pushout#m
\quarternote#m
\Question#m
\rangledot#m
\rbag#m
\rblkbrbrak#m
\rbracklrtick#m
\rbrackubar#m
\rbrackurtick#m
\Rbrbrak#m
\rbrbrak#m
\rcurvyangle#m
\rdiagovfdiag#m
\rdiagovsearrow#m
\revangle#m
\revangleubar#m
\revemptyset#m
\revnmid#m
\rfbowtie#m
\rftimes#m
\rightanglemdot#m
\rightanglesqr#m
\rightarrowapprox#m
\rightarrowbackapprox#m
\rightarrowbar#m
\rightarrowbsimilar#m
\rightarrowdiamond#m
\rightarrowgtr#m
\rightarrowplus#m
\rightarrowshortleftarrow#m
\rightarrowsimilar#m
\rightarrowsupset#m
\rightarrowtriangle#m
\rightarrowx#m
\rightbkarrow#m
\rightcurvedarrow#m
\rightdasharrow#m
\rightdbltail#m
\rightdotarrow#m
\rightdowncurvedarrow#m
\rightfishtail#m
\rightharpoondownbar#m
\rightharpoonsupdown#m
\rightharpoonupbar#m
\rightharpoonupdash#m
\rightimply#m
\rightleftharpoonsdown#m
\rightleftharpoonsup#m
\rightouterjoin#m
\rightpentagon#m
\rightpentagonblack#m
\righttail#m
\rightwavearrow#m
\ringplus#m
\rparengtr#m
\Rparenless#m
\rrangle#m
\RRightarrow#m
\rrparenthesis#m
\rsolbar#m
\rsqhook#m
\rsub#m
\rtriltri#m
\ruledelayed#m
\rvboxline#m
\rvzigzag#m
\Rvzigzag#m
\sansLmirrored#m
\sansLturned#m
\scurel#m
\seovnearrow#m
\shortdowntack#m
\shortlefttack#m
\shortrightarrowleftarrow#m
\shortuptack#m
\shuffle#m
\simgE#m
\simgtr#m
\similarleftarrow#m
\similarrightarrow#m
\simlE#m
\simless#m
\simminussim#m
\simplus#m
\simrdots#m
\smallblacktriangleleft#m
\smallblacktriangleright#m
\smalltriangleleft#m
\smalltriangleright#m
\smashtimes#m
\smblkdiamond#m
\smblklozenge#m
\smeparsl#m
\smt#m
\smte#m
\smwhitestar#m
\smwhtlozenge#m
\sphericalangleup#m
\Sqcap#m
\Sqcup#m
\sqint#m
\sqlozenge#m
\squarebotblack#m
\squarecrossfill#m
\squarehfill#m
\squarehvfill#m
\squareleftblack#m
\squarellblack#m
\squarellquad#m
\squarelrblack#m
\squarelrquad#m
\squareneswfill#m
\squarenwsefill#m
\squarerightblack#m
\squaretopblack#m
\squareulblack#m
\squareulquad#m
\squareurblack#m
\squareurquad#m
\squarevfill#m
\squoval#m
\sslash#m
\strns#m
\subedot#m
\submult#m
\subrarr#m
\subsetapprox#m
\subsetcirc#m
\subsetdot#m
\subseteqq#m
\subsetneqq#m
\subsetplus#m
\subsim#m
\subsub#m
\subsup#m
\Succ#m
\succapprox#m
\succeqq#m
\succnapprox#m
\succneq#m
\succneqq#m
\sumint#m
\supdsub#m
\supedot#m
\suphsol#m
\suphsub#m
\suplarr#m
\supmult#m
\supsetapprox#m
\supsetcirc#m
\supsetdot#m
\supseteqq#m
\supsetneqq#m
\supsetplus#m
\supsim#m
\supsub#m
\supsup#m
\talloblong#m
\thermod#m
\threedangle#m
\threedotcolon#m
\tieinfty#m
\timesbar#m
\tminus#m
\toea#m
\tona#m
\topcir#m
\topfork#m
\topsemicircle#m
\tosa#m
\towa#m
\tplus#m
\trapezium#m
\trianglecdot#m
\triangledown#m
\triangleleftblack#m
\triangleminus#m
\triangleodot#m
\triangleplus#m
\trianglerightblack#m
\triangles#m
\triangleserifs#m
\triangletimes#m
\triangleubar#m
\tripleplus#m
\trslash#m
\turnangle#m
\turnediota#m
\twocaps#m
\twocups#m
\twoheadleftarrowtail#m
\twoheadleftdbkarrow#m
\twoheadmapsfrom#m
\twoheadmapsto#m
\twoheadrightarrowtail#m
\twoheaduparrowcircle#m
\twonotes#m
\typecolon#m
\ularc#m
\ulblacktriangle#m
\ultriangle#m
\uminus#m
\upand#m
\uparrowbarred#m
\uparrowoncircle#m
\upbackepsilon#m
\updasharrow#m
\upDigamma#m
\updigamma#m
\updownarrowbar#m
\updownharpoonleftleft#m
\updownharpoonleftright#m
\updownharpoonrightleft#m
\updownharpoonrightright#m
\updownharpoonsleftright#m
\upfishtail#m
\upharpoonleftbar#m
\upharpoonrightbar#m
\upharpoonsleftright#m
\upin#m
\uprightcurvearrow#m
\urarc#m
\urblacktriangle#m
\urtriangle#m
\UUparrow#m
\Uuparrow#m
\varcarriagereturn#m
\varhexagon#m
\varhexagonblack#m
\varisinobar#m
\varisins#m
\varniobar#m
\varnis#m
\vartriangle#m
\varVdash#m
\varveebar#m
\vBar#m
\Vbar#m
\vBarv#m
\vbrtri#m
\vDdash#m
\Vee#m
\veedot#m
\veedoublebar#m
\veemidvert#m
\veeodot#m
\veeonvee#m
\veeonwedge#m
\viewdata#m
\vrectangle#m
\vrectangleblack#m
\Vvert#m
\vysmblksquare#m
\vysmwhtsquare#m
\vzigzag#m
\Wedge#m
\wedgebar#m
\wedgedot#m
\wedgedoublebar#m
\wedgemidvert#m
\wedgeodot#m
\wedgeonwedge#m
\whitearrowupfrombar#m
\whiteinwhitetriangle#m
\whitepointerleft#m
\whitepointerright#m
\whitesquaretickleft#m
\whitesquaretickright#m
\whthorzoval#m
\whtvertoval#m
\wideangledown#m
\wideangleup#m
\xbsol#m
\xsol#m
\Yup#m
\Zbar#m
\zcmp#m
\zpipe#m
\zproject#m

# not documented
\LeteMtoks#S
