# mismath package
# Matthew Bertucci 2024/06/17 for v3.1

#include:amsmath
#include:mathtools
#include:esvect
#include:mleftright
#include:ifthen
#include:xspace
#include:iftex
#include:etoolbox
#include:xkeyval

#keyvals:\usepackage/mismath#c
ibrackets
decimalcomma
nofunction
otherReIm
classicReIm
# options passed to mathtools
fixamsmath
donotfixamsmathbugs
allowspaces
disallowspaces
legacycolonsymbols
# options passed to amsmath
intlimits
nointlimits
sumlimits
nosumlimits
namelimits
nonamelimits
leqno
reqno
centertags
tbtags
cmex10
fleqn
alignedleftspaceyes
alignedleftspaceno
alignedleftspaceyesifneg
#endkeyvals

#ifOption:ibrackets
#include:ibrackets
#endif

#ifOption:decimalcomma
#include:decimalcomma
#endif

\abs{arg}#m
\adj#m
\apply{arg1}{arg2}#S
\arccot#m
\arcosh#m
\arcoth#m
\arcsch#m
\arrowvect
\arsech#m
\arsinh#m
\artanh#m
\Aut#m
\bigO#m
\bigo#m
\boldvect
\boldvectcommand#*
\C#m
\cmmathcal{letter}#*m
\codim#m
\coker#m
\Conv#m
\Cov#m
\cov#m
\csch#m
\curl#m
\dcap#m
\dcup#m
\di#m
\divg#m
\dlim#m
\dprod#m
\ds
\dsum#m
\e#m
\E#m
\End#m
\eqdef#m
\eqdef*#m
\erf#m
\F#m
\grad#m
\hlbar{arg}#m
\hvec{arg}#m
\hvect{arg}#m
\id#m
\Id#m
\iif
\im#m
\itpi#*m
\K#m
\lb#m
\lbar{arg}#m
\lcm#m
\lfrac{numerator}{denominator}#m
\lito#m
\mathbfsfit{text%plain}#m
\MathFamily{char}{num}#*
\MathIt{char}
\MathNormal{chars}
\MathNumbers{chars}
\MathProba{chars}
\mathset{text%plain}#*
\MathUp{char}
\mathup{text%plain}#m
\mul#m
\N#m
\norm{arg}#m
\oldIm#*m
\oldi#S
\oldj#S
\oldRe#*m
\onlymathC#*
\P#m
\Par
\pifonts{options%keyvals}#*
\pinormal#*m
\pinumber#m
\pinumber[option%keyvals]#m
\pow{expr}{exponent}#m
\probastyle#*
\Q#m
\R#m
\rank#m
\Re#m
\Res#m
\rot#m
\sech#m
\sgn#m
\sinc#m
\spa#m
\then#m
\tr#m
\txt{text}#m
\unbr{arg}#m
\V#m
\var#m
\Var#m
\vect{arg}#m
\Z#m
\Zu#m
\begin{system}#m\array
\begin{system}[cols]#m\array
\end{system}#m
\begin{spmatrix}#m\array
\end{spmatrix}#m
\systemsep#*
\systemstretch#*
\begin{mathcols}#m\array
\end{mathcols}#m
\changecol#/mathcols
\bslash#*
\upDelta#*m
\opDelta#m
\opdelta#m

#keyvals:\pifonts,\pinumber
lgrmath=%<font name%>
fontspec=%<font name%>
upgreek=#Euler,Symbol
mathdesign
fourier
kpfonts
pxfonts
txfonts
#endkeyvals

# deprecated
\enumber#S
\inumber#S
\jnumber#S
\PEupright#S
