# rec-thy package
# Matthew Bertucci 2024/03/30 for v4.0

#include:ltxcmds
#include:iftex
#include:ifpdf
#include:suffix
#include:ifmtarg
#include:xifthen
#include:xkeyval
#include:etoolbox
#include:pict2e
#include:picture
#include:mathrsfs
#include:mathtools
#include:enumitem
#include:bbm

#keyvals:\usepackage/rec-thy#c
nomath
nosymb
nosets
noquants
nospaces
nostrings
notrees
nopair
nosetrels
noordinalnotations
nosyntax
noshortsyntax
noforcing
nodegrees
nocomputations
nostructresets
noreqhelper
nosubfun
nopfcases
noprioritytrees
nohyperreqs
nooperators
nofixtype
nodoubleangles
steps
noshortO
altcompat
norsfs
nobbm
modulescr=%<csname%>
pfcasefont=%<csname%>
reqscr=%<csname%>
recfnlsym=%<csname%>
recfsym=%<csname%>
usesym=%<csname%>
emptystr=%<csname%>
concatsym=%<csname%>
lstrdelim=%<csname%>
rstrdelim=%<csname%>
lcodedelim=%<csname%>
rcodedelim=%<csname%>
lpairdelim=%<csname%>
rpairdelim=%<csname%>
#endkeyvals

#ifOption:steps
\begin{steps}
\begin{steps}[heading%text]
\end{steps}
\step
\step[label%text]
#endif

\abs{arg}#m
\Acompat#m
\Adegrees
\Adegreesjump#*
\Aeq#m
\Aequiv#*m
\Ageq#m
\Agneq#m
\Agtr#m
\Aincompat#m
\Aleq#m
\Aless#m
\Alneq#m
\AREAdegrees
\aut#m
\Azero#*m
\Azeroj#*m
\Azerojj#*m
\Azerojjj#*m
\Azeron{arg}#m
\Azerosym#*m
\baire#m
\Baire#m
\begin{pfcases*}
\begin{pfcases}
\begin{pfcasesnonum}#*
\begin{pfcasesnumbered}#*
\begin{require*}{letter}[sup%formula]{sub%formula}#\math
\begin{require*}{letter}{sub%formula}#\math
\begin{require}{letter}[sup%formula]{sub%formula}#\math
\begin{require}{letter}{sub%formula}#\math
\begin{requirement}{tag}#\math
\begin{requirements*}#*\math
\begin{requirements}#\math
\begin{requirements}<overlay specification>#\math
\bpfuncs#m
\bstrs#m
\cantor#m
\card{arg}#m
\case[label]
\CBderiv[sup}{arg}#m
\CBderiv{arg}#m
\cbstrs#m
\ce
\CEA
\CEA
\CEA[n]
\ceil*{arg}#m
\ceil{arg}#m
\cequiv#m
\code{string}#m
\compat#m
\compose#m
\computable
\Computable
\computablyEnumerable
\ComputablyEnumerable
\concat#m
\concat[arg]#m
\conv#m
\conv[sub]#m
\converge#*m
\converge[sub]#*m
\cornerquote{arg}#m
\cross#m
\Cross#m
\CrossOrig#*m
\crossOrig#*m
\decode{arg}{sub}#m
\deltain[sup]{sub}#m
\deltain{sub}#m
\DeltaN{sub}#m
\DeltaOneN[sup]{sub}#m
\DeltaOneN{sub}#m
\DeltaZeroN[sup]{sub}#m
\DeltaZeroN{sub}#m
\deltazn[sup]{sub}#m
\deltazn{sub}#m
\diverge
\dom#m
\EmptyStr#m
\end{pfcases*}
\end{pfcases}
\end{pfcasesnonum}#*
\end{pfcasesnumbered}#*
\end{require*}
\end{require}
\end{requirement}
\end{requirements*}#*
\end{requirements}
\ensuretext{text}
\entersat{arg}#m
\eq#m
\eq*#m
\eqae#*m
\eqdef#m
\eset#m
\estr#m
\existsinf#m
\existsuniq
\FinParFuncs{domain}{range}#m
\finsets#m
\finSsets#*m
\floor*{arg}#m
\floor{arg}#m
\forall*#m
\forallae#m
\forces#m
\forces(sup)#*m
\forces(sup)[sub]#m
\forces*#m
\forces*(sup)#*m
\forces*(sup)[sub]#m
\forces*[sub]#*m
\forces[sub]#*m
\fpmapsfrom#m
\fpmapsto#m
\godelnum{arg}#m
\godelpair{arg}{sub}#Sm
\hgt{arg}#m
\Hop[sub2]{sub1}#m
\Hop[sub2]{sub1}(arg)#m
\Hop{sub}#m
\Hop{sub}(arg)#m
\hyp#*m
\HYP#m
\iffdef#m
\incompat#m
\infsubset#m
\infsubset*#m
\infsupset#m
\infsupset*#m
\isect#m
\Isect#m
\jjjump{arg}#m
\jjump{arg}#m
\join#m
\jump{arg}#m
\jumpn{arg}{sup}#m
\kleeneO#m
\kleeneO(sup)#*m
\kleeneO(sup)[sub]#m
\kleeneO*#m
\kleeneO*(sup)#*m
\kleeneO*(sup)[sub]#m
\kleeneO*[sub]#*m
\kleeneO[sub]#*m
\kleeneOSYM#*m
\Land#m
\leftof#m
\leftofeq#m
\lh{arg}#m
\LLand#m
\llangle#m
\LLor#m
\logic{sub1}{sub2}#m
\Lor#m
\Low
\Low[sup%formula]
\LowN[sup%formula]{sub%formula}
\lowN[sup%formula]{sub%formula}
\LowN{sub%formula}
\lowN{sub%formula}
\majsubset#m
\majsupset#m
\maps{arg1}{arg2}#m
\meet#m
\Meet#m
\MnJoin#*m
\module{letter}[sup%formula]{sub%formula}
\module{letter}{sub%formula}
\murec{var%formula}{condition%formula}
\myhalign#S
\nAeq#m
\nAgeq#m
\nAincompat#*m
\nAleq#m
\ncequiv#m
\nconv#m
\nconv[sub]#m
\ndownarrow#*m
\neqae#*m
\nexistsinf#m
\nexistsuniq#m
\nforall#m
\nforallae#m
\nin#m
\nleftof#m
\nleftofeq#m
\nprecsucc#m
\nrightof#m
\nrightofeq#m
\nSearrow#m
\nsubfun#m
\nsubfuneq#m
\nsubset#m
\nsuccprec#m
\nsupfun#m
\nsupfuneq#m
\nsupset#m
\nTeq#m
\nTequiv#m
\nTgeq#m
\nTincompat#m
\nTleq#m
\Oabs*{arg}#m
\Oabs{arg}#m
\Oadd#m
\Ofunc{arg}#m
\Ogeq#m
\Ogtr#m
\Ohgt*{arg}#m
\Ohgt{arg}#m
\Oleq#m
\Oless#m
\Olim{arg}{sub}#m
\Omul#m
\Ongeq#m
\Ongtr#m
\Onleq#m
\Onless#m
\Oplus#m
\Opred{arg}#m
\Ord#m
\ordpair{arg1}{arg2}#m
\Ouniq#m
\overbar{arg}#m
\pair{arg1}{arg2}#m
\ParFuncs{domain}{range}#m
\piin[sup]{sub}#m
\piin{sub}#m
\PiN[sup]{sub}#m
\PiN{sub}#m
\PiOneN[sup]{sub}#m
\PiOneN{sub}#m
\PiZeroN[sup]{sub}#m
\PiZeroN{sub}#m
\pizn[sup]{sub}#m
\pizn{sub}#m
\pmapsfrom#m
\pmapsto#m
\powset[sub]{arg}#m
\powset{arg}#m
\precsucc#m
\PriorityTree#m
\PriorityTreeModule{letter}[sup%formula]{sub%formula}#*m
\PriorityTreeModule{letter}{sub%formula}#*m
\promptdif#*m
\promptminus#*m
\promptsetminus#*m
\pruneTree{arg}#m
\quotient{arg1}{arg2}#m
\re
\REA
\REA
\REA[n]
\REAop*[sub2]{sub1}{sup}#m
\REAop*{sub}{sup}#m
\REAop[sub2]{sub1}{sup}#m
\REAop{sub}{sup}#m
\recf(sup){sub}#m
\recf[sub2](sup){sub1}#m
\recf[sub2]{sub1}#m
\recf{sub}#m
\recfnl[sub2]{sub1}{arg1}{arg2}#m
\recfnl{sub}{arg1}{arg2}#m
\recthyVersion#S
\recursive
\Recursive
\recursivelyEnumerable
\RecursivelyEnumerable
\REdegrees
\refreq{arg}#*
\req*{letter}[sup%formula]{sub%formula}
\req*{letter}{sub%formula}
\req{letter}[sup%formula]{sub%formula}
\req{letter}{sub%formula}
\require{letter}[sup%formula]{sub%formula}
\require{letter}{sub%formula}
\REset(sup){sub}#m
\REset[sub2](sup){sub1}#m
\REset[sub2]{sub1}#m
\REset{sub}#m
\restr{arg}#m
\rightof#m
\rightofeq#m
\rng#m
\rrangle#m
\Searrow#m
\set{left}{right}#m
\setbefore#*m
\setcmp{arg}#m
\setcol{arg}{sup}#m
\setdiff#m
\sigmain[sup]{sub}#m
\sigmain{sub}#m
\SigmaN[sup]{sub}#m
\SigmaN{sub}#m
\SigmaOneN[sup]{sub}#m
\SigmaOneN{sub}#m
\SigmaZeroN[sup]{sub}#m
\SigmaZeroN{sub}#m
\sigmazn[sup]{sub}#m
\sigmazn{sub}#m
\splitby#Sm
\splitof#Sm
\ssetsOfsize#*m
\st#*m
\str{string}#m
\strcD
\strcDa
\StrcE#S
\StrcE*#S
\StrcL*{arg}#S
\StrcL{arg}#S
\strcR
\strcRa
\StrcStarL{arg}#Sm
\strpred{arg}#m
\strucE#S
\subfun#m
\subfuneq#m
\subfunneq#m
\subsetnaeq#*m
\succprec#m
\supfun#m
\supfuneq#m
\supfunneq#m
\supsetnaeq#*m
\symbf{text%plain}#m
\symdiff#m
\Tcompat#m
\Tdeg{arg}#m
\Tdegrees
\Tdegreesjump#*
\Tdegvar{arg}#m
\Teq#m
\Tequiv#m
\Tgeq#m
\Tgneq#m
\Tgtr#m
\thiscase#*
\Tincompat#m
\Tjoin#m
\TJoin#m
\Tjump{arg}#m
\Tleq#m
\Tless#m
\Tlneq#m
\Tmeet#m
\tpath#m
\tpath[sub]#m
\Tplus#m
\TPlus#m
\TreeExt#m
\TreeExtNeq#m
\TreeMod{arg1}{arg2}#m
\TreeMul#m
\Tsetjoin#*m
\TsetJoin#*m
\ttgeq#m
\ttgneq#m
\ttgtr#m
\ttleq#m
\ttless#m
\ttlneq#m
\ttngeq#m
\ttnleq#m
\ttSYM
\Tzero#m
\Tzerosym#*m
\union#m
\Union#m
\use{arg}#m
\utilde{arg}#m
\wck
\wforces#m
\wjump{arg}#*m
\wstrs#m
\xor#m
\zeroj#m
\zerojj#m
\zerojjj#m
\zeron{sup}#m
\zerow{arg}#*m
