# texshade package
# Matthew Bertucci 2024/01/10 for v1.28

#include:color
#include:graphics
#include:amssymb

#keyvals:\usepackage/texshade#c
# options passed to color package
monochrome
debugshow
setpagesize
nosetpagesize
dvips
xdvi
dvipdf
dvipdfm
dvipdfmx
pdftex
luatex
dvisvgm
xetex
dvipsone
dviwindo
emtex
dviwin
oztex
textures
pctexps
pctexwin
pctexhp
pctex32
truetex
tcidvi
vtex
dvipsnames
nodvipsnames
usenames
#endkeyvals

\begin{texshade}{alignment-file%file}
\begin{texshade}[parameter-file%file]{alignment-file%file}
\end{texshade}

\alignment{position%keyvals}
\allmatchspecial
\allmatchspecial[percentage]
\allowzero
\alphacount
\Alphacount
\appearance{filetype%keyvals}{type}{position}{labelstyle}{text}
\backtranslabel[size]{style%keyvals}
\backtranslabel{style%keyvals}
\backtranstext[size]{style%keyvals}
\backtranstext{style%keyvals}
\bargraphstretch{factor}
\bbbbottomspace{length}
\bbbottomspace{length}
\bbottomspace{length}
\bigblockskip
\bigsepline
\bottomspace{length}
\changeshadingcolors{seqref}{selection}{name}
\charge{seqref}{i|o|N|C}
\charstretch{factor}
\chimeraaxisdistance{x-dist}{y-dist}{z-dist}
\chimeraballScale{factor}
\chimerachain{chain-label}
\clearfuncgroups
\clearlogocolors
\clearlogocolors[color]
\codon{amino-acid}{triplet1,triplet2,...}
\colorscalestretch{factor}
\constoallseqs
\constosingleseq{seqref}
\constosingleseq{seqref}
\defconsensus{symbol1}{symbol2}{symbol3}
\defshadingcolors{name}
\disallowzero
\DNAgroups{group1,group2,...}
\DNAsims{residue}{similars}
\dofrequencycorrection
\domaingaprule{thickness%l}
\donotshade{seq1,seq2,...}
\echostructurefile{strucref}
\emphblock{seqref}{selection}
\emphdefault{style%keyvals}
\emphregion{seqref}{selection}
\englishlanguage
\exportconsensus[pymol/chimera]{seqref}{filename%file}
\exportconsensus{seqref}{filename%file}
\feature{position%keyvals}{seqref}{selection}{labelstyle}{text}
\featurenamecolor{ttttop...bbbbottom}{color}
\featurenamesbf
\featurenamescolor{color}
\featurenamesfootnotesize
\featurenameshuge
\featurenamesHuge
\featurenamesit
\featurenameslarge
\featurenamesLarge
\featurenamesLARGE
\featurenamesmd
\featurenamesnormalsize
\featurenamesrm
\featurenamessc
\featurenamesscriptsize
\featurenamessf
\featurenamessl
\featurenamessmall
\featurenamestiny
\featurenamestt
\featurenamesup
\featurerule{length}
\featuresbf
\featuresfootnotesize
\featureshuge
\featuresHuge
\featuresit
\featureslarge
\featuresLarge
\featuresLARGE
\featuresmd
\featuresnormalsize
\featuresrm
\featuressc
\featuresscriptsize
\featuressf
\featuressl
\featuressmall
\featurestiny
\featurestt
\featurestylenamecolor{ttttop...bbbbottom}{color}
\featurestylenamesbf
\featurestylenamescolor{color}
\featurestylenamesfootnotesize
\featurestylenameshuge
\featurestylenamesHuge
\featurestylenamesit
\featurestylenameslarge
\featurestylenamesLarge
\featurestylenamesLARGE
\featurestylenamesmd
\featurestylenamesnormalsize
\featurestylenamesrm
\featurestylenamessc
\featurestylenamesscriptsize
\featurestylenamessf
\featurestylenamessl
\featurestylenamessmall
\featurestylenamestiny
\featurestylenamestt
\featurestylenamesup
\featurestylesbf
\featurestylesfootnotesize
\featurestyleshuge
\featurestylesHuge
\featurestylesit
\featurestyleslarge
\featurestylesLarge
\featurestylesLARGE
\featurestylesmd
\featurestylesnormalsize
\featurestylesrm
\featurestylessc
\featurestylesscriptsize
\featurestylessf
\featurestylessl
\featurestylessmall
\featurestylestiny
\featurestylestt
\featurestylesup
\featuresup
\fingerprint{res. per line}
\firstcolumnDSSP
\fixblockspace
\flexblockspace
\frameblock{%<seqref%>}{%<selection%>}{%<color%>[%<length%>]}
\frameblock{seqref}{selection}{color}
\gapchar{symbol}
\gappenalty{value}
\gaprule{thickness%l}
\geneticcode{filename%file}
\germanlanguage
\hideallmatchpositions
\hideconsensus
\hidefeaturename{ttttop...bbbbottom}
\hidefeaturenames
\hidefeaturestylename{ttttop...bbbbottom}
\hidefeaturestylenames
\hideleadinggaps
\hidelegend
\hidelogoscale
\hidename{seq1,seq2,...}
\hidenames
\hidenegatives
\hidenumber{seq1,seq2,...}
\hidenumbering
\hideonDSSP{structures}
\hideonHMMTOP{structures}
\hideonPHDsec{structures}
\hideonPHDtopo{structures}
\hideonSTRIDE{structures}
\hiderelevance
\hideresidues
\hideruler
\hideruler[top/bottom]
\hideseq{seq1,seq2,...}
\hideseqs
\hidesequencelogo
\hidesubfamilylogo
\includeDSSP[make new]{seqref}{file}
\includeDSSP{seqref}{file}
\includeHMMTOP[make new]{seqref}{file}
\includeHMMTOP{seqref}{file}
\includePHDsec[make new]{seqref}{file}
\includePHDsec{seqref}{file}
\includePHDtopo[make new]{seqref}{file}
\includePHDtopo{seqref}{file}
\includeSTRIDE[make new]{seqref}{file}
\includeSTRIDE{seqref}{file}
\includeTCoffee{file}
\killseq{seq1,seq2,...}
\legendbf
\legendcolor{color}
\legendfootnotesize
\legendhuge
\legendHuge
\legendit
\legendlarge
\legendLarge
\legendLARGE
\legendmd
\legendnormalsize
\legendrm
\legendsc
\legendscriptsize
\legendsf
\legendsl
\legendsmall
\legendtiny
\legendtt
\legendup
\linestretch{factor}
\logocolor{residues}{color}
\logostretch{factor}
\lowerblock{seqref}{selection}
\lowerregion{seqref}{selection}
\medblockskip
\medsepline
\memeBlack{residues}
\memeBlue{residues}
\memelabelcutoff{bit-value}
\memeRed{residues}
\memeStandardcolors
\memeWhite{residues}
\memeYellow{residues}
\messagePDBlist{selection}
\molweight{seqref}{Da|kDa}
\movelegend{x-offset}{y-offset}
\namecolor{seq1,seq2,...}{color}
\nameconsensus{name}
\nameruler{name}
\nameruler[top/bottom]{name}
\namerulerpos{%<number%>}{%<text%>[%<color%>]}
\namerulerpos[%<top/bottom%>]{%<number%>}{%<text%>[%<color%>]}
\namerulerpos{number}{text}
\namerulerpos[top/bottom]{number}{text}
\namesbf
\namescolor{color}
\nameseq{seqref}{name}
\namesequencelogo{name}
\namesfootnotesize
\nameshuge
\namesHuge
\namesit
\nameslarge
\namesLarge
\namesLARGE
\namesmd
\namesnormalsize
\namesrm
\namessc
\namesscriptsize
\namessf
\namessl
\namessmall
\namestiny
\namestt
\namesubfamilylogo[neg-name]{pos-name}
\namesubfamilylogo{pos-name}
\namesup
\noblockskip
\nosepline
\numbercolor{seq1,seq2,...}{color}
\numberingbf
\numberingcolor{color}
\numberingfootnotesize
\numberinghuge
\numberingHuge
\numberingit
\numberinglarge
\numberingLarge
\numberingLARGE
\numberingmd
\numberingnormalsize
\numberingrm
\numberingsc
\numberingscriptsize
\numberingsf
\numberingsl
\numberingsmall
\numberingtiny
\numberingtt
\numberingup
\numberingwidth{digits}
\numcount
\orderseqs{seq1,seq2,...}
\pepgroups{group1,group2,...}
\pepsims{residue}{similars}
\percentidentity{seqref1}{seqref2}
\percentsimilarity{seqref1}{seqref2}
\printPDBlist{selection}
\relevance{bit-value}
\residuesbf
\residuesfootnotesize
\residueshuge
\residuesHuge
\residuesit
\residueslarge
\residuesLarge
\residuesLARGE
\residuesmd
\residuesnormalsize
\residuesperline*{number}
\residuesperline{number}
\residuesrm
\residuessc
\residuesscriptsize
\residuessf
\residuessl
\residuessmall
\residuestiny
\residuestt
\residuesup
\romancount
\Romancount
\rotateruler
\rotateruler[top/bottom]
\rulercolor{color}
\rulercolor[top/bottom]{color}
\rulerfootnotesize
\rulerhuge
\rulerHuge
\rulerlarge
\rulerLarge
\rulerLARGE
\rulernamecolor{color}
\rulernamecolor[top/bottom]{color}
\rulernamefootnotesize
\rulernamehuge
\rulernameHuge
\rulernamelarge
\rulernameLarge
\rulernameLARGE
\rulernamenormalsize
\rulernamerm
\rulernamescriptsize
\rulernamesf
\rulernamesmall
\rulernametiny
\rulernamett
\rulernormalsize
\rulerrm
\rulerscriptsize
\rulersf
\rulersmall
\rulerspace{length}
\rulerspace[top/bottom]{length}
\rulersteps{number}
\rulersteps[top/bottom]{number}
\rulertiny
\rulertt
\secondcolumnDSSP
\separationline{seqref}
\seqlength{seqref}{length%plain}
\seqtype{type%keyvals}
\setdomain{seqref}{selection}
\setends[start-number]{seqref}{start..stop}
\setends{seqref}{start..stop}
\setfamily{text%plain}{family%keyvals}
\setfont{text%plain}{family}{series}{shape}{size%keyvals}
\setseries{text%plain}{series%keyvals}
\setshape{text%plain}{shape%keyvals}
\setsize{text%plain}{size%keyvals}
\setsubfamily{seqrefs}
\setweight{res1}{res2}{value}
\shadeallresidues
\shadebox{color%keyvals}
\shadingcolors{scheme%keyvals}
\shadingmode[option]{mode%keyvals}
\shadingmode{mode%keyvals}
\shortcaption{text}
\showcaption[position]{text}
\showcaption{text}
\showconsensus[type%keyvals]{top|bottom}
\showconsensus{top|bottom}
\showfeaturename{ttttop...bbbbottom}{name}
\showfeaturestylename{ttttop...bbbbottom}{name}
\showleadinggaps
\showlegend
\showlogoscale[color]{position%keyvals}
\showlogoscale{position%keyvals}
\shownames[color]{position%keyvals}
\shownames{position%keyvals}
\shownegatives
\shownegatives[choice%keyvals]
\shownumbering[color]{position%keyvals}
\shownumbering{position%keyvals}
\showonDSSP{structures}
\showonHMMTOP{structures}
\showonPHDsec{structures}
\showonPHDtopo{structures}
\showonSTRIDE{structures}
\showrelevance[color]{symbol}
\showrelevance{symbol}
\showresidues
\showruler[color]{position%keyvals}{seqref}
\showruler{position%keyvals}{seqref}
\showseqs
\showsequencelogo[colorset%keyvals]{top|bottom}
\showsequencelogo{top|bottom}
\showsubfamilylogo[colorset%keyvals]{top|bottom}
\showsubfamilylogo{top|bottom}
\similaritytable
\smallblockskip
\smallsepline
\spanishlanguage
\startnumber[start..stop]{seqref}{start-number}
\startnumber{seqref}{start-number}
\stopchar{symbol}
\structurememe[seqref]{filename%file}
\structurememe{filename%file}
\TeXshade
\threshold[percentage]{percentage}
\threshold{percentage}
\tintblock{seqref}{selection}
\tintdefault{level%keyvals}
\tintregion{seqref}{selection}
\topspace{length}
\ttopspace{length}
\tttopspace{length}
\ttttopspace{length}
\undofrequencycorrection
\unrotateruler
\unrotateruler[top/bottom]
\vblockspace{length}
\vsepspace{length}
\weighttable{table%keyvals}

# order of #S and non-#S listing is important for color completion
\nomatchresidues{res-color}{shad-color}{case}{style%keyvals}
\nomatchresidues{color}{color}{case}{style%keyvals}#S
\conservedresidues{res-color}{shad-color}{case}{style%keyvals}
\conservedresidues{color}{color}{case}{style%keyvals}#S
\allmatchresidues{res-color}{shad-color}{case}{style%keyvals}
\allmatchresidues{color}{color}{case}{style%keyvals}#S
\similarresidues{res-color}{shad-color}{case}{style%keyvals}
\similarresidues{color}{color}{case}{style%keyvals}#S
\funcshadingstyle{residue}{res-color}{shad-color}{case}{style%keyvals}
\funcshadingstyle{residue}{color}{color}{case}{style%keyvals}#S
\funcgroup{descr}{residues}{res-color}{shad-color}{case}{style%keyvals}
\funcgroup{descr}{residues}{color}{color}{case}{style%keyvals}#S
\consensuscolors{res-color1}{shad-color1}{res-color2}{shad-color2}{res-color3}{shad-color3}
\consensuscolors{color}{color}{color}{color}{color}{color}#S
\gapcolors{symbol-color}{background-color}
\gapcolors{color}{color}#S
\domaingapcolors{foreground-color}{background-color}
\domaingapcolors{color}{color}#S
\shaderegion{seqref}{selection}{res-color}{shad-color}
\shaderegion{seqref}{selection}{color}{color}#S
\shadeblock{seqref}{selection}{res-color}{shad-color}
\shadeblock{seqref}{selection}{color}{color}#S

#keyvals:\alignment
left
center
right
#endkeyvals

#keyvals:\appearance
DSSP
STRIDE
PHDsec
PHDtopo
HMMTOP
#endkeyvals

#keyvals:\allmatchresidues,\conservedresidues,\emphdefault,\funcgroup,\funcshadingstyle,\nomatchresidues,\similarresidues
bf
md
up
it
sl
rm
sf
tt
#endkeyvals

#keyvals:\backtranslabel,\backtranstext
horizontal
alternating
zigzag
oblique
vertical
#endkeyvals

#keyvals:\feature
top
ttop
tttop
ttttop
bottom
bbottom
bbbottom
bbbbottom
#endkeyvals

#keyvals:\seqtype
P
N
#endkeyvals

#keyvals:\setfamily
rm
sf
tt
#endkeyvals

#keyvals:\setseries
bf
md
#endkeyvals

#keyvals:\setshape
it
sl
sc
up
#endkeyvals

#keyvals:\setsize,\setfont
tiny
scriptsize
footnotesize
small
normalsize
large
Large
LARGE
huge
Huge
#endkeyvals

#keyvals:\shadebox
%color
nomatch
similar
conserved
allmatch
#endkeyvals

#keyvals:\shadingcolors
blues
reds
greens
grays
black
#endkeyvals

#keyvals:\shadingmode
identical
similar
T-Coffee
diverse
#endkeyvals

#keyvals:\showconsensus
Gray
BlueRed
RedBlue
GreenRed
RedGreen
ColdHot
HotCold
T-Coffee
#endkeyvals

#keyvals:\showlogoscale,\shownumbering
left
right
leftright
#endkeyvals

#keyvals:\shownames
left
right
#endkeyvals

#keyvals:\shownegatives,\tintdefault
weak
medium
strong
#endkeyvals

#keyvals:\showruler,\showcaption
top
bottom
#endkeyvals

#keyvals:\showsequencelogo,\showsubfamilylogo
chemical
rasmol
hydropathy
structure
standard area
accessible area
#endkeyvals

#keyvals:\weighttable
identity
structural
PAM250
PAM100
BLOSUM62
#endkeyvals

GreenYellow#B
Yellow#B
Goldenrod#B
Dandelion#B
Apricot#B
Peach#B
Melon#B
YellowOrange#B
Orange#B
BurntOrange#B
Bittersweet#B
RedOrange#B
Mahagony#B
Maroon#B
BrickRed#B
Red#B
OrangeRed#B
RubineRed#B
WildStrawberry#B
Salmon#B
CarnationPink#B
Magenta#B
VioletRed#B
Rhodamine#B
Mulberry#B
RedViolet#B
Fuchsia#B
Lavender#B
Thistle#B
Orchid#B
DarkOrchid#B
Purple#B
Plum#B
Violet#B
RoyalPurple#B
BlueViolet#B
Periwinkle#B
CadetBlue#B
CornflowerBlue#B
MidnightBlue#B
NavyBlue#B
RoyalBlue#B
Blue#B
Cerulean#B
Cyan#B
ProcessBlue#B
SkyBlue#B
Turquoise#B
TealBlue#B
Aquamarine#B
BlueGreen#B
Emerald#B
JungleGreen#B
SeaGreen#B
Green#B
ForestGreen#B
PineGreen#B
LimeGreen#B
YellowGreen#B
SpringGreen#B
OliveGreen#B
RawSienna#B
Sepia#B
Brown#B
Tan#B
White#B
Gray0#B
Gray5#B
Gray10#B
Gray15#B
Gray20#B
Gray25#B
Gray30#B
LightGray#B
Gray35#B
Gray40#B
Gray45#B
Gray50#B
Gray#B
GrayDefault#B
Gray55#B
Gray60#B
Gray65#B
DarkGray#B
Gray70#B
Gray75#B
Gray80#B
Gray85#B
Gray90#B
Gray95#B
Black#B
Gray100#B
TC0#B
TC1#B
TC2#B
TC3#B
TC4#B
TC5#B
TC6#B
TC7#B
TC8#B
TC9#B
TC99#B
BrewerC#B
BrewerG#B
BrewerT#B
BrewerA#B
LightGreenYellow#B
LightYellow#B
LightGoldenrod#B
LightDandelion#B
LightApricot#B
LightPeach#B
LightMelon#B
LightYellowOrange#B
LightOrange#B
LightBurntOrange#B
LightBittersweet#B
LightRedOrange#B
LightMahagony#B
LightMaroon#B
LightBrickRed#B
LightRed#B
LightOrangeRed#B
LightRubineRed#B
LightWildStrawberry#B
LightSalmon#B
LightCarnationPink#B
LightMagenta#B
LightVioletRed#B
LightRhodamine#B
LightMulberry#B
LightRedViolet#B
LightFuchsia#B
LightLavender#B
LightThistle#B
LightOrchid#B
LightDarkOrchid#B
LightPurple#B
LightPlum#B
LightViolet#B
LightRoyalPurple#B
LightBlueViolet#B
LightPeriwinkle#B
LightCadetBlue#B
LightCornflowerBlue#B
LightMidnightBlue#B
LightNavyBlue#B
LightRoyalBlue#B
LightBlue#B
LightCerulean#B
LightCyan#B
LightProcessBlue#B
LightSkyBlue#B
LightTurquoise#B
LightTealBlue#B
LightAquamarine#B
LightBlueGreen#B
LightEmerald#B
LightJungleGreen#B
LightSeaGreen#B
LightGreen#B
LightForestGreen#B
LightPineGreen#B
LightLimeGreen#B
LightYellowGreen#B
LightSpringGreen#B
LightOliveGreen#B
LightRawSienna#B
LightSepia#B
LightBrown#B
LightTan#B
LightWhite#B
LightGray0#B
LightGray5#B
LightGray10#B
LightGray15#B
LightGray20#B
LightGray25#B
LightGray30#B
LightLightGray#B
LightGray35#B
LightGray40#B
LightGray45#B
LightGray50#B
LightGray#B
LightGray55#B
LightGray60#B
LightGray65#B
LightDarkGray#B
LightGray70#B
LightGray75#B
LightGray80#B
LightGray85#B
LightGray90#B
LightGray95#B
LightBlack#B
LightGray100#B
LightTC0#B
LightTC1#B
LightTC2#B
LightTC3#B
LightTC4#B
LightTC5#B
LightTC6#B
LightTC7#B
LightTC8#B
LightTC99#B
LightLightGreenYellow#B
LightLightYellow#B
LightLightGoldenrod#B
LightLightDandelion#B
LightLightApricot#B
LightLightPeach#B
LightLightMelon#B
LightLightYellowOrange#B
LightLightOrange#B
LightLightBurntOrange#B
LightLightBittersweet#B
LightLightRedOrange#B
LightLightMahagony#B
LightLightMaroon#B
LightLightBrickRed#B
LightLightRed#B
LightLightOrangeRed#B
LightLightRubineRed#B
LightLightWildStrawberry#B
LightLightSalmon#B
LightLightCarnationPink#B
LightLightMagenta#B
LightLightVioletRed#B
LightLightRhodamine#B
LightLightMulberry#B
LightLightRedViolet#B
LightLightFuchsia#B
LightLightLavender#B
LightLightThistle#B
LightLightOrchid#B
LightLightDarkOrchid#B
LightLightPurple#B
LightLightPlum#B
LightLightViolet#B
LightLightRoyalPurple#B
LightLightBlueViolet#B
LightLightPeriwinkle#B
LightLightCadetBlue#B
LightLightCornflowerBlue#B
LightLightMidnightBlue#B
LightLightNavyBlue#B
LightLightRoyalBlue#B
LightLightBlue#B
LightLightCerulean#B
LightLightCyan#B
LightLightProcessBlue#B
LightLightSkyBlue#B
LightLightTurquoise#B
LightLightTealBlue#B
LightLightAquamarine#B
LightLightBlueGreen#B
LightLightEmerald#B
LightLightJungleGreen#B
LightLightSeaGreen#B
LightLightGreen#B
LightLightForestGreen#B
LightLightPineGreen#B
LightLightLimeGreen#B
LightLightYellowGreen#B
LightLightSpringGreen#B
LightLightOliveGreen#B
LightLightRawSienna#B
LightLightSepia#B
LightLightBrown#B
LightLightTan#B
LightLightWhite#B
LightLightGray0#B
LightLightGray5#B
LightLightGray10#B
LightLightGray15#B
LightLightGray20#B
LightLightGray25#B
LightLightGray30#B
LightLightLightGray#B
LightLightGray35#B
LightLightGray40#B
LightLightGray45#B
LightLightGray50#B
LightLightGray#B
LightLightGray55#B
LightLightGray60#B
LightLightGray65#B
LightLightDarkGray#B
LightLightGray70#B
LightLightGray75#B
LightLightGray80#B
LightLightGray85#B
LightLightGray90#B
LightLightGray95#B
LightLightBlack#B
LightLightGray100#B
LightLightTC0#B
LightLightTC1#B
LightLightTC2#B
LightLightTC3#B
LightLightTC4#B
LightLightTC5#B
LightLightTC6#B
LightLightTC7#B
LightLightTC8#B
LightLightTC99#B
LightLightLightGreenYellow#B
LightLightLightYellow#B
LightLightLightGoldenrod#B
LightLightLightDandelion#B
LightLightLightApricot#B
LightLightLightPeach#B
LightLightLightMelon#B
LightLightLightYellowOrange#B
LightLightLightOrange#B
LightLightLightBurntOrange#B
LightLightLightBittersweet#B
LightLightLightRedOrange#B
LightLightLightMahagony#B
LightLightLightMaroon#B
LightLightLightBrickRed#B
LightLightLightRed#B
LightLightLightOrangeRed#B
LightLightLightRubineRed#B
LightLightLightWildStrawberry#B
LightLightLightSalmon#B
LightLightLightCarnationPink#B
LightLightLightMagenta#B
LightLightLightLightMagenta#B
LightLightLightVioletRed#B
LightLightLightRhodamine#B
LightLightLightMulberry#B
LightLightLightRedViolet#B
LightLightLightFuchsia#B
LightLightLightLavender#B
LightLightLightThistle#B
LightLightLightOrchid#B
LightLightLightDarkOrchid#B
LightLightLightPurple#B
LightLightLightPlum#B
LightLightLightViolet#B
LightLightLightRoyalPurple#B
LightLightLightBlueViolet#B
LightLightLightPeriwinkle#B
LightLightLightCadetBlue#B
LightLightLightCornflowerBlue#B
LightLightLightMidnightBlue#B
LightLightLightNavyBlue#B
LightLightLightRoyalBlue#B
LightLightLightBlue#B
LightLightLightCerulean#B
LightLightLightCyan#B
LightLightLightProcessBlue#B
LightLightLightSkyBlue#B
LightLightLightTurquoise#B
LightLightLightTealBlue#B
LightLightLightAquamarine#B
LightLightLightBlueGreen#B
LightLightLightEmerald#B
LightLightLightJungleGreen#B
LightLightLightSeaGreen#B
LightLightLightGreen#B
LightLightLightForestGreen#B
LightLightLightPineGreen#B
LightLightLightLimeGreen#B
LightLightLightYellowGreen#B
LightLightLightSpringGreen#B
LightLightLightOliveGreen#B
LightLightLightRawSienna#B
LightLightLightSepia#B
LightLightLightBrown#B
LightLightLightTan#B
LightLightLightWhite#B
LightLightLightGray0#B
LightLightLightGray5#B
LightLightLightGray10#B
LightLightLightGray15#B
LightLightLightGray20#B
LightLightLightGray25#B
LightLightLightGray30#B
LightLightLightLightGray#B
LightLightLightGray35#B
LightLightLightGray40#B
LightLightLightGray45#B
LightLightLightGray50#B
LightLightLightGray#B
LightLightLightGray55#B
LightLightLightGray60#B
LightLightLightGray65#B
LightLightLightDarkGray#B
LightLightLightGray70#B
LightLightLightGray75#B
LightLightLightGray80#B
LightLightLightGray85#B
LightLightLightGray90#B
LightLightLightGray95#B
LightLightLightBlack#B
LightLightLightGray100#B
LightLightLightTC0#B
LightLightLightTC1#B
LightLightLightTC2#B
LightLightLightTC3#B
LightLightLightTC4#B
LightLightLightTC5#B
LightLightLightTC6#B
LightLightLightTC7#B
LightLightLightTC8#B
LightLightLightTC99#B
BlueRed5#B
BlueRed10#B
BlueRed15#B
BlueRed20#B
BlueRed25#B
BlueRed30#B
BlueRed35#B
BlueRed40#B
BlueRed45#B
BlueRed50#B
BlueRed55#B
BlueRed60#B
BlueRed65#B
BlueRed70#B
BlueRed75#B
BlueRed80#B
BlueRed85#B
BlueRed90#B
BlueRed95#B
BlueRed100#B
RedBlue100#B
RedBlue95#B
RedBlue90#B
RedBlue85#B
RedBlue80#B
RedBlue75#B
RedBlue70#B
RedBlue65#B
RedBlue60#B
RedBlue55#B
RedBlue50#B
RedBlue45#B
RedBlue40#B
RedBlue35#B
RedBlue30#B
RedBlue25#B
RedBlue20#B
RedBlue15#B
RedBlue10#B
RedBlue5#B
GreenRed5#B
GreenRed10#B
GreenRed15#B
GreenRed20#B
GreenRed25#B
GreenRed30#B
GreenRed35#B
GreenRed40#B
GreenRed45#B
GreenRed50#B
GreenRed55#B
GreenRed60#B
GreenRed65#B
GreenRed70#B
GreenRed75#B
GreenRed80#B
GreenRed85#B
GreenRed90#B
GreenRed95#B
GreenRed100#B
RedGreen100#B
RedGreen95#B
RedGreen90#B
RedGreen85#B
RedGreen80#B
RedGreen75#B
RedGreen70#B
RedGreen65#B
RedGreen60#B
RedGreen55#B
RedGreen50#B
RedGreen45#B
RedGreen40#B
RedGreen35#B
RedGreen30#B
RedGreen25#B
RedGreen20#B
RedGreen15#B
RedGreen10#B
RedGreen5#B
ColdHot5#B
ColdHot10#B
ColdHot15#B
ColdHot20#B
ColdHot25#B
ColdHot30#B
ColdHot35#B
ColdHot40#B
ColdHot45#B
ColdHot50#B
ColdHot55#B
ColdHot60#B
ColdHot65#B
ColdHot70#B
ColdHot75#B
ColdHot80#B
ColdHot85#B
ColdHot90#B
ColdHot95#B
ColdHot100#B
HotCold100#B
HotCold95#B
HotCold90#B
HotCold85#B
HotCold80#B
HotCold75#B
HotCold70#B
HotCold65#B
HotCold60#B
HotCold55#B
HotCold50#B
HotCold45#B
HotCold40#B
HotCold35#B
HotCold30#B
HotCold25#B
HotCold20#B
HotCold15#B
HotCold10#B
HotCold5#B

# not documented
\alignfile#S
\alignfilename#S
\Allmatch#S
\allmatchspecialoff#S
\alnline#S
\bbbbottomfeaturefalse#S
\bbbbottomfeaturenowfalse#S
\bbbbottomfeaturenowtrue#S
\bbbbottomfeaturetrue#S
\bbbottomfeaturefalse#S
\bbbottomfeaturenowfalse#S
\bbbottomfeaturenowtrue#S
\bbbottomfeaturetrue#S
\bbottomfeaturefalse#S
\bbottomfeaturenowfalse#S
\bbottomfeaturenowtrue#S
\bbottomfeaturetrue#S
\bottomfeaturefalse#S
\bottomfeaturenowfalse#S
\bottomfeaturenowtrue#S
\bottomfeaturetrue#S
\chargeA#S
\chargeB#S
\chargeC#S
\chargeCterm#S
\chargeD#S
\chargeE#S
\chargeF#S
\chargeG#S
\chargeH#S
\chargeI#S
\chargeJ#S
\chargeK#S
\chargeL#S
\chargeM#S
\chargeN#S
\chargeNterm#S
\chargeO#S
\chargeP#S
\chargeQ#S
\chargeR#S
\chargeS#S
\chargeT#S
\chargeU#S
\chargeV#S
\chargeW#S
\chargeX#S
\chargeY#S
\chargeZ#S
\chimeraballscale{arg1}#S
\consAA#S
\consAB#S
\consAC#S
\consAC#S
\consAD#S
\consAE#S
\consAF#S
\consAG#S
\consAG#S
\consAH#S
\consAH#S
\consAI#S
\consAJ#S
\consAK#S
\consAL#S
\consAL#S
\ConsAllmatch#S
\consAM#S
\consAN#S
\consAO#S
\consAP#S
\consAQ#S
\consAR#S
\consAS#S
\consAT#S
\consAU#S
\consAV#S
\consAW#S
\consAX#S
\consAY#S
\consAZ#S
\consBA#S
\consBB#S
\consBC#S
\consBD#S
\consBE#S
\consBF#S
\consBG#S
\consBH#S
\consBI#S
\consBJ#S
\consBK#S
\consBL#S
\consBM#S
\consBN#S
\consBO#S
\consBP#S
\consBQ#S
\consBR#S
\consBS#S
\consBT#S
\consBU#S
\consBV#S
\consBW#S
\consBX#S
\consBY#S
\consBZ#S
\consCA#S
\consCB#S
\consCC#S
\consCC#S
\consCD#S
\consCE#S
\consCF#S
\consCG#S
\consCG#S
\consCH#S
\consCH#S
\consCI#S
\consCJ#S
\consCK#S
\consCL#S
\consCL#S
\consCM#S
\consCN#S
\consCO#S
\consCP#S
\consCQ#S
\consCR#S
\consCS#S
\consCT#S
\consCU#S
\consCV#S
\consCW#S
\consCX#S
\consCY#S
\consCZ#S
\consDA#S
\consDB#S
\consDC#S
\consDC#S
\consDD#S
\consDE#S
\consDF#S
\consDG#S
\consDG#S
\consDH#S
\consDH#S
\consDI#S
\consDJ#S
\consDK#S
\consDL#S
\consDL#S
\consDM#S
\consDN#S
\consDO#S
\consDP#S
\consDQ#S
\consDR#S
\consDS#S
\consDT#S
\consDU#S
\consDV#S
\consDW#S
\consDX#S
\consDY#S
\consDZ#S
\consEA#S
\consEB#S
\consEC#S
\consEC#S
\consED#S
\consEE#S
\consEF#S
\consEG#S
\consEG#S
\consEH#S
\consEH#S
\consEI#S
\consEJ#S
\consEK#S
\consEL#S
\consEL#S
\consEM#S
\consEN#S
\consensus#S
\consEO#S
\consEP#S
\consEQ#S
\consER#S
\consES#S
\consET#S
\consEU#S
\consEV#S
\consEW#S
\consEX#S
\consEY#S
\consEZ#S
\consFA#S
\consFB#S
\consFC#S
\consFC#S
\consFD#S
\consFE#S
\consFF#S
\consFG#S
\consFG#S
\consFH#S
\consFH#S
\consFI#S
\consFJ#S
\consFK#S
\consFL#S
\consFL#S
\consFM#S
\consFN#S
\consFO#S
\consFP#S
\consFQ#S
\consFR#S
\consFS#S
\consFT#S
\consFU#S
\consFV#S
\consFW#S
\consFX#S
\consFY#S
\consFZ#S
\consGA#S
\consGB#S
\consGC#S
\consGC#S
\consGD#S
\consGE#S
\consGF#S
\consGG#S
\consGG#S
\consGH#S
\consGH#S
\consGI#S
\consGJ#S
\consGK#S
\consGL#S
\consGL#S
\consGM#S
\consGN#S
\consGO#S
\consGP#S
\consGQ#S
\consGR#S
\consGS#S
\consGT#S
\consGU#S
\consGV#S
\consGW#S
\consGX#S
\consGY#S
\consGZ#S
\consHA#S
\consHB#S
\consHC#S
\consHC#S
\consHD#S
\consHE#S
\consHF#S
\consHG#S
\consHG#S
\consHH#S
\consHH#S
\consHI#S
\consHJ#S
\consHK#S
\consHL#S
\consHL#S
\consHM#S
\consHN#S
\consHO#S
\consHP#S
\consHQ#S
\consHR#S
\consHS#S
\consHT#S
\consHU#S
\consHV#S
\consHW#S
\consHX#S
\consHY#S
\consHZ#S
\consIA#S
\consIB#S
\consIC#S
\consIC#S
\consID#S
\consIE#S
\consIF#S
\consIG#S
\consIG#S
\consIH#S
\consIH#S
\consII#S
\consIJ#S
\consIK#S
\consIL#S
\consIL#S
\consIM#S
\consIN#S
\consIO#S
\consIP#S
\consIQ#S
\consIR#S
\consIS#S
\consIT#S
\consIU#S
\consIV#S
\consIW#S
\consIX#S
\consIY#S
\consIZ#S
\consJA#S
\consJB#S
\consJC#S
\consJD#S
\consJE#S
\consJF#S
\consJG#S
\consJH#S
\consJI#S
\consJJ#S
\consJK#S
\consJL#S
\consJM#S
\consJN#S
\consJO#S
\consJP#S
\consJQ#S
\consJR#S
\consJS#S
\consJT#S
\consJU#S
\consJV#S
\consJW#S
\consJX#S
\consJY#S
\consJZ#S
\consKA#S
\consKB#S
\consKC#S
\consKC#S
\consKD#S
\consKE#S
\consKF#S
\consKG#S
\consKG#S
\consKH#S
\consKH#S
\consKI#S
\consKJ#S
\consKK#S
\consKL#S
\consKL#S
\consKM#S
\consKN#S
\consKO#S
\consKP#S
\consKQ#S
\consKR#S
\consKS#S
\consKT#S
\consKU#S
\consKV#S
\consKW#S
\consKX#S
\consKY#S
\consKZ#S
\consLA#S
\consLB#S
\consLC#S
\consLC#S
\consLD#S
\consLE#S
\consLF#S
\consLG#S
\consLG#S
\consLH#S
\consLH#S
\consLI#S
\consLJ#S
\consLK#S
\consLL#S
\consLL#S
\consLM#S
\consLN#S
\consLO#S
\consLP#S
\consLQ#S
\consLR#S
\consLS#S
\consLT#S
\consLU#S
\consLV#S
\consLW#S
\consLX#S
\consLY#S
\consLZ#S
\consMA#S
\ConsMatch#S
\consMB#S
\consMC#S
\consMC#S
\consMD#S
\consME#S
\consMF#S
\consMG#S
\consMG#S
\consMH#S
\consMH#S
\consMI#S
\consMJ#S
\consMK#S
\consML#S
\consML#S
\consMM#S
\consMN#S
\consMO#S
\consMP#S
\consMQ#S
\consMR#S
\consMS#S
\consMT#S
\consMU#S
\consMV#S
\consMW#S
\consMX#S
\consMY#S
\consMZ#S
\consNA#S
\consNB#S
\consNC#S
\consNC#S
\consND#S
\consNE#S
\consNF#S
\consNG#S
\consNG#S
\consNH#S
\consNH#S
\consNI#S
\consNJ#S
\consNK#S
\consNL#S
\consNL#S
\consNM#S
\consNN#S
\consNO#S
\ConsNomatch#S
\consNP#S
\consNQ#S
\consNR#S
\consNS#S
\consNT#S
\consNU#S
\consNV#S
\consNW#S
\consNX#S
\consNY#S
\consNZ#S
\consOA#S
\consOB#S
\consOC#S
\consOD#S
\consOE#S
\consOF#S
\consOG#S
\consOH#S
\consOI#S
\consOJ#S
\consOK#S
\consOL#S
\consOM#S
\consON#S
\consOO#S
\consOP#S
\consOQ#S
\consOR#S
\consOS#S
\consOT#S
\consOU#S
\consOV#S
\consOW#S
\consOX#S
\consOY#S
\consOZ#S
\consPA#S
\consPB#S
\consPC#S
\consPC#S
\consPD#S
\consPE#S
\consPF#S
\consPG#S
\consPG#S
\consPH#S
\consPH#S
\consPI#S
\consPJ#S
\consPK#S
\consPL#S
\consPL#S
\consPM#S
\consPN#S
\consPO#S
\consPP#S
\consPQ#S
\consPR#S
\consPS#S
\consPT#S
\consPU#S
\consPV#S
\consPW#S
\consPX#S
\consPY#S
\consPZ#S
\consQA#S
\consQB#S
\consQC#S
\consQC#S
\consQD#S
\consQE#S
\consQF#S
\consQG#S
\consQG#S
\consQH#S
\consQH#S
\consQI#S
\consQJ#S
\consQK#S
\consQL#S
\consQL#S
\consQM#S
\consQN#S
\consQO#S
\consQP#S
\consQQ#S
\consQR#S
\consQS#S
\consQT#S
\consQU#S
\consQV#S
\consQW#S
\consQX#S
\consQY#S
\consQZ#S
\consRA#S
\consRB#S
\consRC#S
\consRC#S
\consRD#S
\consRE#S
\consRF#S
\consRG#S
\consRG#S
\consRH#S
\consRH#S
\consRI#S
\consRJ#S
\consRK#S
\consRL#S
\consRL#S
\consRM#S
\consRN#S
\consRO#S
\consRP#S
\consRQ#S
\consRR#S
\consRS#S
\consRT#S
\consRU#S
\consRV#S
\consRW#S
\consRX#S
\consRY#S
\consRZ#S
\consSA#S
\consSB#S
\consSC#S
\consSC#S
\consSD#S
\consSE#S
\consSF#S
\consSG#S
\consSG#S
\consSH#S
\consSH#S
\consSI#S
\consSJ#S
\consSK#S
\consSL#S
\consSL#S
\consSM#S
\consSN#S
\consSO#S
\consSP#S
\consSQ#S
\consSR#S
\consSS#S
\consST#S
\consSU#S
\consSV#S
\consSW#S
\consSX#S
\consSY#S
\consSZ#S
\consTA#S
\consTB#S
\consTC#S
\consTC#S
\consTD#S
\consTE#S
\ConsTextAllmatch#S
\ConsTextMatch#S
\ConsTextNomatch#S
\consTF#S
\consTG#S
\consTG#S
\consTH#S
\consTH#S
\consTI#S
\consTJ#S
\consTK#S
\consTL#S
\consTL#S
\consTM#S
\consTN#S
\consTO#S
\constopo#S
\consTP#S
\consTQ#S
\consTR#S
\consTS#S
\consTT#S
\consTU#S
\consTV#S
\consTW#S
\consTX#S
\consTY#S
\consTZ#S
\consUA#S
\consUB#S
\consUC#S
\consUD#S
\consUE#S
\consUF#S
\consUG#S
\consUH#S
\consUI#S
\consUJ#S
\consUK#S
\consUL#S
\consUM#S
\consUN#S
\consUO#S
\consUP#S
\consUQ#S
\consUR#S
\consUS#S
\consUT#S
\consUU#S
\consUV#S
\consUW#S
\consUX#S
\consUY#S
\consUZ#S
\consVA#S
\consVB#S
\consVC#S
\consVC#S
\consVD#S
\consVE#S
\consVF#S
\consVG#S
\consVG#S
\consVH#S
\consVH#S
\consVI#S
\consVJ#S
\consVK#S
\consVL#S
\consVL#S
\consVM#S
\consVN#S
\consVO#S
\consVP#S
\consVQ#S
\consVR#S
\consVS#S
\consVT#S
\consVU#S
\consVV#S
\consVW#S
\consVX#S
\consVY#S
\consVZ#S
\consWA#S
\consWB#S
\consWC#S
\consWC#S
\consWD#S
\consWE#S
\consWF#S
\consWG#S
\consWG#S
\consWH#S
\consWH#S
\consWI#S
\consWJ#S
\consWK#S
\consWL#S
\consWL#S
\consWM#S
\consWN#S
\consWO#S
\consWP#S
\consWQ#S
\consWR#S
\consWS#S
\consWT#S
\consWU#S
\consWV#S
\consWW#S
\consWX#S
\consWY#S
\consWZ#S
\consXA#S
\consXB#S
\consXC#S
\consXD#S
\consXE#S
\consXF#S
\consXG#S
\consXH#S
\consXI#S
\consXJ#S
\consXK#S
\consXL#S
\consXM#S
\consXN#S
\consXO#S
\consXP#S
\consXQ#S
\consXR#S
\consXS#S
\consXT#S
\consXU#S
\consXV#S
\consXW#S
\consXX#S
\consXY#S
\consXZ#S
\consYA#S
\consYB#S
\consYC#S
\consYC#S
\consYD#S
\consYE#S
\consYF#S
\consYG#S
\consYG#S
\consYH#S
\consYH#S
\consYI#S
\consYJ#S
\consYK#S
\consYL#S
\consYL#S
\consYM#S
\consYN#S
\consYO#S
\consYP#S
\consYQ#S
\consYR#S
\consYS#S
\consYT#S
\consYU#S
\consYV#S
\consYW#S
\consYX#S
\consYY#S
\consYZ#S
\consZA#S
\consZB#S
\consZC#S
\consZD#S
\consZE#S
\consZF#S
\consZG#S
\consZH#S
\consZI#S
\consZJ#S
\consZK#S
\consZL#S
\consZM#S
\consZN#S
\consZO#S
\consZP#S
\consZQ#S
\consZR#S
\consZS#S
\consZT#S
\consZU#S
\consZV#S
\consZW#S
\consZX#S
\consZY#S
\consZZ#S
\DNAmwA#S
\DNAmwB#S
\DNAmwC#S
\DNAmwD#S
\DNAmwE#S
\DNAmwF#S
\DNAmwG#S
\DNAmwH#S
\DNAmwI#S
\DNAmwJ#S
\DNAmwK#S
\DNAmwL#S
\DNAmwM#S
\DNAmwN#S
\DNAmwO#S
\DNAmwP#S
\DNAmwQ#S
\DNAmwR#S
\DNAmwS#S
\DNAmwT#S
\DNAmwU#S
\DNAmwV#S
\DNAmwW#S
\DNAmwX#S
\DNAmwY#S
\DNAmwZ#S
\endrotopo#S
\featurefile#S
\featureonbbbbottom#S
\featureonbbbottom#S
\featureonbbottom#S
\featureonbottom#S
\featureontop#S
\featureonttop#S
\featureontttop#S
\featureonttttop#S
\featureposbbbbottom#S
\featureposbbbottom#S
\featureposbbottom#S
\featureposbottom#S
\featurepostop#S
\featureposttop#S
\featurepostttop#S
\featureposttttop#S
\findsubfamily[opt]{arg1}#S
\findsubfamily{arg1}#S
\framenowfalse#S
\framenowtrue#S
\funcmodefalse#S
\funcmodetrue#S
\hardnessA#S
\hardnessB#S
\hardnessC#S
\hardnessD#S
\hardnessE#S
\hardnessF#S
\hardnessG#S
\hardnessH#S
\hardnessI#S
\hardnessJ#S
\hardnessK#S
\hardnessL#S
\hardnessM#S
\hardnessN#S
\hardnessO#S
\hardnessP#S
\hardnessQ#S
\hardnessR#S
\hardnessS#S
\hardnessT#S
\hardnessU#S
\hardnessV#S
\hardnessW#S
\hardnessX#S
\hardnessY#S
\hardnessZ#S
\helixhook#Sm
\hidecharfalse#S
\hidechartrue#S
\HydroA#S
\HydroB#S
\HydroC#S
\HydroD#S
\HydroE#S
\HydroF#S
\HydroG#S
\HydroH#S
\HydroI#S
\HydroJ#S
\HydroK#S
\HydroL#S
\HydroM#S
\HydroN#S
\HydroO#S
\HydroP#S
\HydroQ#S
\HydroR#S
\HydroS#S
\HydroT#S
\HydroU#S
\HydroV#S
\HydroW#S
\HydroX#S
\HydroY#S
\HydroZ#S
\Identical#S
\identitytable#S
\ifbbbbottomfeature#S
\ifbbbbottomfeaturenow#S
\ifbbbottomfeature#S
\ifbbbottomfeaturenow#S
\ifbbottomfeature#S
\ifbbottomfeaturenow#S
\ifbottomfeature#S
\ifbottomfeaturenow#S
\ifframenow#S
\iffuncmode#S
\ifhidechar#S
\ifletter#S
\ifnewres#S
\ifnumber#S
\ifregionalemph#S
\ifregionalemphnow#S
\ifregionallower#S
\ifregionallowernow#S
\ifregionalshade#S
\ifregionalshadenow#S
\ifregionaltint#S
\ifregionaltintnow#S
\ifshadingnow#S
\ifsimmode#S
\iftopfeature#S
\iftopfeaturenow#S
\ifttopfeature#S
\ifttopfeaturenow#S
\iftttopfeature#S
\iftttopfeaturenow#S
\ifttttopfeature#S
\ifttttopfeaturenow#S
\inline#S
\innerloopcount#S
\letterfalse#S
\lettertrue#S
\loopcount#S
\memeblack{arg1}#S
\memeblue{arg1}#S
\memeNone{arg1}#S
\memenone{arg1}#S
\memered{arg1}#S
\memewhite{arg1}#S
\memeyellow{arg1}#S
\molwA#S
\molwB#S
\molwC#S
\molwD#S
\molwE#S
\molwF#S
\molwG#S
\molwH#S
\molwI#S
\molwJ#S
\molwK#S
\molwL#S
\molwM#S
\molwN#S
\molwO#S
\molwP#S
\molwQ#S
\molwR#S
\molwS#S
\molwT#S
\molwU#S
\molwV#S
\molwW#S
\molwX#S
\molwY#S
\molwZ#S
\msfline#S
\newresfalse#S
\newrestrue#S
\Nomatch#S
\numberfalse#S
\numbertrue#S
\outerloopcount#S
\pepchargeA#S
\pepchargeB#S
\pepchargeC#S
\pepchargeD#S
\pepchargeE#S
\pepchargeF#S
\pepchargeG#S
\pepchargeH#S
\pepchargeI#S
\pepchargeJ#S
\pepchargeK#S
\pepchargeL#S
\pepchargeM#S
\pepchargeN#S
\pepchargeO#S
\pepchargeP#S
\pepchargeQ#S
\pepchargeR#S
\pepchargeS#S
\pepchargeT#S
\pepchargeU#S
\pepchargeV#S
\pepchargeW#S
\pepchargeX#S
\pepchargeY#S
\pepchargeZ#S
\pepmwA#S
\pepmwB#S
\pepmwC#S
\pepmwD#S
\pepmwE#S
\pepmwF#S
\pepmwG#S
\pepmwH#S
\pepmwI#S
\pepmwJ#S
\pepmwK#S
\pepmwL#S
\pepmwM#S
\pepmwN#S
\pepmwO#S
\pepmwP#S
\pepmwQ#S
\pepmwR#S
\pepmwS#S
\pepmwT#S
\pepmwU#S
\pepmwV#S
\pepmwW#S
\pepmwX#S
\pepmwY#S
\pepmwZ#S
\prfx#S
\readalignfile{arg1}#S
\regionalemphfalse#S
\regionalemphnowfalse#S
\regionalemphnowtrue#S
\regionalemphtrue#S
\regionallowerfalse#S
\regionallowernowfalse#S
\regionallowernowtrue#S
\regionallowertrue#S
\regionalshadefalse#S
\regionalshadenowfalse#S
\regionalshadenowtrue#S
\regionalshadetrue#S
\regionaltintfalse#S
\regionaltintnowfalse#S
\regionaltintnowtrue#S
\regionaltinttrue#S
\rotopo{arg1}#S
\savedseqlength{arg1}{arg2}{arg3}#S
\shadingnowfalse#S
\shadingnowtrue#S
\showallmatchpositions#S
\Similar#S
\simmodefalse#S
\simmodetrue#S
\simpairAA#S
\simpairAB#S
\simpairAC#S
\simpairAD#S
\simpairAE#S
\simpairAF#S
\simpairAG#S
\simpairAH#S
\simpairAI#S
\simpairAJ#S
\simpairAK#S
\simpairAL#S
\simpairAM#S
\simpairAN#S
\simpairAO#S
\simpairAP#S
\simpairAQ#S
\simpairAR#S
\simpairAS#S
\simpairAT#S
\simpairAU#S
\simpairAV#S
\simpairAW#S
\simpairAX#S
\simpairAY#S
\simpairAZ#S
\simpairBA#S
\simpairBB#S
\simpairBC#S
\simpairBD#S
\simpairBE#S
\simpairBF#S
\simpairBG#S
\simpairBH#S
\simpairBI#S
\simpairBJ#S
\simpairBK#S
\simpairBL#S
\simpairBM#S
\simpairBN#S
\simpairBO#S
\simpairBP#S
\simpairBQ#S
\simpairBR#S
\simpairBS#S
\simpairBT#S
\simpairBU#S
\simpairBV#S
\simpairBW#S
\simpairBX#S
\simpairBY#S
\simpairBZ#S
\simpairCA#S
\simpairCB#S
\simpairCC#S
\simpairCD#S
\simpairCE#S
\simpairCF#S
\simpairCG#S
\simpairCH#S
\simpairCI#S
\simpairCJ#S
\simpairCK#S
\simpairCL#S
\simpairCM#S
\simpairCN#S
\simpairCO#S
\simpairCP#S
\simpairCQ#S
\simpairCR#S
\simpairCS#S
\simpairCT#S
\simpairCU#S
\simpairCV#S
\simpairCW#S
\simpairCX#S
\simpairCY#S
\simpairCZ#S
\simpairDA#S
\simpairDB#S
\simpairDC#S
\simpairDD#S
\simpairDE#S
\simpairDF#S
\simpairDG#S
\simpairDH#S
\simpairDI#S
\simpairDJ#S
\simpairDK#S
\simpairDL#S
\simpairDM#S
\simpairDN#S
\simpairDO#S
\simpairDP#S
\simpairDQ#S
\simpairDR#S
\simpairDS#S
\simpairDT#S
\simpairDU#S
\simpairDV#S
\simpairDW#S
\simpairDX#S
\simpairDY#S
\simpairDZ#S
\simpairEA#S
\simpairEB#S
\simpairEC#S
\simpairED#S
\simpairEE#S
\simpairEF#S
\simpairEG#S
\simpairEH#S
\simpairEI#S
\simpairEJ#S
\simpairEK#S
\simpairEL#S
\simpairEM#S
\simpairEN#S
\simpairEO#S
\simpairEP#S
\simpairEQ#S
\simpairER#S
\simpairES#S
\simpairET#S
\simpairEU#S
\simpairEV#S
\simpairEW#S
\simpairEX#S
\simpairEY#S
\simpairEZ#S
\simpairFA#S
\simpairFB#S
\simpairFC#S
\simpairFD#S
\simpairFE#S
\simpairFF#S
\simpairFG#S
\simpairFH#S
\simpairFI#S
\simpairFJ#S
\simpairFK#S
\simpairFL#S
\simpairFM#S
\simpairFN#S
\simpairFO#S
\simpairFP#S
\simpairFQ#S
\simpairFR#S
\simpairFS#S
\simpairFT#S
\simpairFU#S
\simpairFV#S
\simpairFW#S
\simpairFX#S
\simpairFY#S
\simpairFZ#S
\simpairGA#S
\simpairGB#S
\simpairGC#S
\simpairGD#S
\simpairGE#S
\simpairGF#S
\simpairGG#S
\simpairGH#S
\simpairGI#S
\simpairGJ#S
\simpairGK#S
\simpairGL#S
\simpairGM#S
\simpairGN#S
\simpairGO#S
\simpairGP#S
\simpairGQ#S
\simpairGR#S
\simpairGS#S
\simpairGT#S
\simpairGU#S
\simpairGV#S
\simpairGW#S
\simpairGX#S
\simpairGY#S
\simpairGZ#S
\simpairHA#S
\simpairHB#S
\simpairHC#S
\simpairHD#S
\simpairHE#S
\simpairHF#S
\simpairHG#S
\simpairHH#S
\simpairHI#S
\simpairHJ#S
\simpairHK#S
\simpairHL#S
\simpairHM#S
\simpairHN#S
\simpairHO#S
\simpairHP#S
\simpairHQ#S
\simpairHR#S
\simpairHS#S
\simpairHT#S
\simpairHU#S
\simpairHV#S
\simpairHW#S
\simpairHX#S
\simpairHY#S
\simpairHZ#S
\simpairIA#S
\simpairIB#S
\simpairIC#S
\simpairID#S
\simpairIE#S
\simpairIF#S
\simpairIG#S
\simpairIH#S
\simpairII#S
\simpairIJ#S
\simpairIK#S
\simpairIL#S
\simpairIM#S
\simpairIN#S
\simpairIO#S
\simpairIP#S
\simpairIQ#S
\simpairIR#S
\simpairIS#S
\simpairIT#S
\simpairIU#S
\simpairIV#S
\simpairIW#S
\simpairIX#S
\simpairIY#S
\simpairIZ#S
\simpairJA#S
\simpairJB#S
\simpairJC#S
\simpairJD#S
\simpairJE#S
\simpairJF#S
\simpairJG#S
\simpairJH#S
\simpairJI#S
\simpairJJ#S
\simpairJK#S
\simpairJL#S
\simpairJM#S
\simpairJN#S
\simpairJO#S
\simpairJP#S
\simpairJQ#S
\simpairJR#S
\simpairJS#S
\simpairJT#S
\simpairJU#S
\simpairJV#S
\simpairJW#S
\simpairJX#S
\simpairJY#S
\simpairJZ#S
\simpairKA#S
\simpairKB#S
\simpairKC#S
\simpairKD#S
\simpairKE#S
\simpairKF#S
\simpairKG#S
\simpairKH#S
\simpairKI#S
\simpairKJ#S
\simpairKK#S
\simpairKL#S
\simpairKM#S
\simpairKN#S
\simpairKO#S
\simpairKP#S
\simpairKQ#S
\simpairKR#S
\simpairKS#S
\simpairKT#S
\simpairKU#S
\simpairKV#S
\simpairKW#S
\simpairKX#S
\simpairKY#S
\simpairKZ#S
\simpairLA#S
\simpairLB#S
\simpairLC#S
\simpairLD#S
\simpairLE#S
\simpairLF#S
\simpairLG#S
\simpairLH#S
\simpairLI#S
\simpairLJ#S
\simpairLK#S
\simpairLL#S
\simpairLM#S
\simpairLN#S
\simpairLO#S
\simpairLP#S
\simpairLQ#S
\simpairLR#S
\simpairLS#S
\simpairLT#S
\simpairLU#S
\simpairLV#S
\simpairLW#S
\simpairLX#S
\simpairLY#S
\simpairLZ#S
\simpairMA#S
\simpairMB#S
\simpairMC#S
\simpairMD#S
\simpairME#S
\simpairMF#S
\simpairMG#S
\simpairMH#S
\simpairMI#S
\simpairMJ#S
\simpairMK#S
\simpairML#S
\simpairMM#S
\simpairMN#S
\simpairMO#S
\simpairMP#S
\simpairMQ#S
\simpairMR#S
\simpairMS#S
\simpairMT#S
\simpairMU#S
\simpairMV#S
\simpairMW#S
\simpairMX#S
\simpairMY#S
\simpairMZ#S
\simpairNA#S
\simpairNB#S
\simpairNC#S
\simpairND#S
\simpairNE#S
\simpairNF#S
\simpairNG#S
\simpairNH#S
\simpairNI#S
\simpairNJ#S
\simpairNK#S
\simpairNL#S
\simpairNM#S
\simpairNN#S
\simpairNO#S
\simpairNP#S
\simpairNQ#S
\simpairNR#S
\simpairNS#S
\simpairNT#S
\simpairNU#S
\simpairNV#S
\simpairNW#S
\simpairNX#S
\simpairNY#S
\simpairNZ#S
\simpairOA#S
\simpairOB#S
\simpairOC#S
\simpairOD#S
\simpairOE#S
\simpairOF#S
\simpairOG#S
\simpairOH#S
\simpairOI#S
\simpairOJ#S
\simpairOK#S
\simpairOL#S
\simpairOM#S
\simpairON#S
\simpairOO#S
\simpairOP#S
\simpairOQ#S
\simpairOR#S
\simpairOS#S
\simpairOT#S
\simpairOU#S
\simpairOV#S
\simpairOW#S
\simpairOX#S
\simpairOY#S
\simpairOZ#S
\simpairPA#S
\simpairPB#S
\simpairPC#S
\simpairPD#S
\simpairPE#S
\simpairPF#S
\simpairPG#S
\simpairPH#S
\simpairPI#S
\simpairPJ#S
\simpairPK#S
\simpairPL#S
\simpairPM#S
\simpairPN#S
\simpairPO#S
\simpairPP#S
\simpairPQ#S
\simpairPR#S
\simpairPS#S
\simpairPT#S
\simpairPU#S
\simpairPV#S
\simpairPW#S
\simpairPX#S
\simpairPY#S
\simpairPZ#S
\simpairQA#S
\simpairQB#S
\simpairQC#S
\simpairQD#S
\simpairQE#S
\simpairQF#S
\simpairQG#S
\simpairQH#S
\simpairQI#S
\simpairQJ#S
\simpairQK#S
\simpairQL#S
\simpairQM#S
\simpairQN#S
\simpairQO#S
\simpairQP#S
\simpairQQ#S
\simpairQR#S
\simpairQS#S
\simpairQT#S
\simpairQU#S
\simpairQV#S
\simpairQW#S
\simpairQX#S
\simpairQY#S
\simpairQZ#S
\simpairRA#S
\simpairRB#S
\simpairRC#S
\simpairRD#S
\simpairRE#S
\simpairRF#S
\simpairRG#S
\simpairRH#S
\simpairRI#S
\simpairRJ#S
\simpairRK#S
\simpairRL#S
\simpairRM#S
\simpairRN#S
\simpairRO#S
\simpairRP#S
\simpairRQ#S
\simpairRR#S
\simpairRS#S
\simpairRT#S
\simpairRU#S
\simpairRV#S
\simpairRW#S
\simpairRX#S
\simpairRY#S
\simpairRZ#S
\simpairSA#S
\simpairSB#S
\simpairSC#S
\simpairSD#S
\simpairSE#S
\simpairSF#S
\simpairSG#S
\simpairSH#S
\simpairSI#S
\simpairSJ#S
\simpairSK#S
\simpairSL#S
\simpairSM#S
\simpairSN#S
\simpairSO#S
\simpairSP#S
\simpairSQ#S
\simpairSR#S
\simpairSS#S
\simpairST#S
\simpairSU#S
\simpairSV#S
\simpairSW#S
\simpairSX#S
\simpairSY#S
\simpairSZ#S
\simpairTA#S
\simpairTB#S
\simpairTC#S
\simpairTD#S
\simpairTE#S
\simpairTF#S
\simpairTG#S
\simpairTH#S
\simpairTI#S
\simpairTJ#S
\simpairTK#S
\simpairTL#S
\simpairTM#S
\simpairTN#S
\simpairTO#S
\simpairTP#S
\simpairTQ#S
\simpairTR#S
\simpairTS#S
\simpairTT#S
\simpairTU#S
\simpairTV#S
\simpairTW#S
\simpairTX#S
\simpairTY#S
\simpairTZ#S
\simpairUA#S
\simpairUB#S
\simpairUC#S
\simpairUD#S
\simpairUE#S
\simpairUF#S
\simpairUG#S
\simpairUH#S
\simpairUI#S
\simpairUJ#S
\simpairUK#S
\simpairUL#S
\simpairUM#S
\simpairUN#S
\simpairUO#S
\simpairUP#S
\simpairUQ#S
\simpairUR#S
\simpairUS#S
\simpairUT#S
\simpairUU#S
\simpairUV#S
\simpairUW#S
\simpairUX#S
\simpairUY#S
\simpairUZ#S
\simpairVA#S
\simpairVB#S
\simpairVC#S
\simpairVD#S
\simpairVE#S
\simpairVF#S
\simpairVG#S
\simpairVH#S
\simpairVI#S
\simpairVJ#S
\simpairVK#S
\simpairVL#S
\simpairVM#S
\simpairVN#S
\simpairVO#S
\simpairVP#S
\simpairVQ#S
\simpairVR#S
\simpairVS#S
\simpairVT#S
\simpairVU#S
\simpairVV#S
\simpairVW#S
\simpairVX#S
\simpairVY#S
\simpairVZ#S
\simpairWA#S
\simpairWB#S
\simpairWC#S
\simpairWD#S
\simpairWE#S
\simpairWF#S
\simpairWG#S
\simpairWH#S
\simpairWI#S
\simpairWJ#S
\simpairWK#S
\simpairWL#S
\simpairWM#S
\simpairWN#S
\simpairWO#S
\simpairWP#S
\simpairWQ#S
\simpairWR#S
\simpairWS#S
\simpairWT#S
\simpairWU#S
\simpairWV#S
\simpairWW#S
\simpairWX#S
\simpairWY#S
\simpairWZ#S
\simpairXA#S
\simpairXB#S
\simpairXC#S
\simpairXD#S
\simpairXE#S
\simpairXF#S
\simpairXG#S
\simpairXH#S
\simpairXI#S
\simpairXJ#S
\simpairXK#S
\simpairXL#S
\simpairXM#S
\simpairXN#S
\simpairXO#S
\simpairXP#S
\simpairXQ#S
\simpairXR#S
\simpairXS#S
\simpairXT#S
\simpairXU#S
\simpairXV#S
\simpairXW#S
\simpairXX#S
\simpairXY#S
\simpairXZ#S
\simpairYA#S
\simpairYB#S
\simpairYC#S
\simpairYD#S
\simpairYE#S
\simpairYF#S
\simpairYG#S
\simpairYH#S
\simpairYI#S
\simpairYJ#S
\simpairYK#S
\simpairYL#S
\simpairYM#S
\simpairYN#S
\simpairYO#S
\simpairYP#S
\simpairYQ#S
\simpairYR#S
\simpairYS#S
\simpairYT#S
\simpairYU#S
\simpairYV#S
\simpairYW#S
\simpairYX#S
\simpairYY#S
\simpairYZ#S
\simpairZA#S
\simpairZB#S
\simpairZC#S
\simpairZD#S
\simpairZE#S
\simpairZF#S
\simpairZG#S
\simpairZH#S
\simpairZI#S
\simpairZJ#S
\simpairZK#S
\simpairZL#S
\simpairZM#S
\simpairZN#S
\simpairZO#S
\simpairZP#S
\simpairZQ#S
\simpairZR#S
\simpairZS#S
\simpairZT#S
\simpairZU#S
\simpairZV#S
\simpairZW#S
\simpairZX#S
\simpairZY#S
\simpairZZ#S
\standarddefinitions#S
\structurefile#S
\structurefilename#S
\structureline#S
\stylefeaturebbbbottom#S
\stylefeaturebbbottom#S
\stylefeaturebbottom#S
\stylefeaturebottom#S
\stylefeaturetop#S
\stylefeaturettop#S
\stylefeaturetttop#S
\stylefeaturettttop#S
\styleframe#S
\subfamilythreshold{arg1}#S
\sublogofile#S
\TextAllmatch#S
\textfeaturebbbbottom#S
\textfeaturebbbottom#S
\textfeaturebbottom#S
\textfeaturebottom#S
\textfeaturetop#S
\textfeaturettop#S
\textfeaturetttop#S
\textfeaturettttop#S
\TextIdentical#S
\TextNomatch#S
\TextSimilar#S
\tmpstack#S
\topfeaturefalse#S
\topfeaturenowfalse#S
\topfeaturenowtrue#S
\topfeaturetrue#S
\ttopfeaturefalse#S
\ttopfeaturenowfalse#S
\ttopfeaturenowtrue#S
\ttopfeaturetrue#S
\tttopfeaturefalse#S
\tttopfeaturenowfalse#S
\tttopfeaturenowtrue#S
\tttopfeaturetrue#S
\ttttopfeaturefalse#S
\ttttopfeaturenowfalse#S
\ttttopfeaturenowtrue#S
\ttttopfeaturetrue#S
